searchNodes=[{"doc":"ExGrib is a library for reading GRIB files in Elixir.","ref":"ExGrib.html","title":"ExGrib","type":"module"},{"doc":"Functions for working with Grib2 files. See: https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/","ref":"ExGrib.Grib2.html","title":"ExGrib.Grib2","type":"module"},{"doc":"","ref":"ExGrib.Grib2.html#bitmap/1","title":"ExGrib.Grib2.bitmap/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#data/1","title":"ExGrib.Grib2.data/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#data_representation/1","title":"ExGrib.Grib2.data_representation/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#footer/1","title":"ExGrib.Grib2.footer/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#grid_definition/1","title":"ExGrib.Grib2.grid_definition/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#header/1","title":"ExGrib.Grib2.header/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#identification/1","title":"ExGrib.Grib2.identification/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#local_use/1","title":"ExGrib.Grib2.local_use/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#parse_all/1","title":"ExGrib.Grib2.parse_all/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#parse_next/1","title":"ExGrib.Grib2.parse_next/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#product_definition/1","title":"ExGrib.Grib2.product_definition/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.html#t:section_number/0","title":"ExGrib.Grib2.section_number/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.html#t:section_size/0","title":"ExGrib.Grib2.section_size/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.html#t:t/0","title":"ExGrib.Grib2.t/0","type":"type"},{"doc":"Section 0 contains the header for a Grib file. Indicator section https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect0.shtml","ref":"ExGrib.Grib2.Section0.html","title":"ExGrib.Grib2.Section0","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section0.html#parse/1","title":"ExGrib.Grib2.Section0.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section0.html#t:file_size/0","title":"ExGrib.Grib2.Section0.file_size/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section0.html#t:input/0","title":"ExGrib.Grib2.Section0.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section0.html#t:t/0","title":"ExGrib.Grib2.Section0.t/0","type":"type"},{"doc":"Returns disciplines looked up from a Grib integer. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table0-0.shtml","ref":"ExGrib.Grib2.Section0.Discipline.html","title":"ExGrib.Grib2.Section0.Discipline","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section0.Discipline.html#get/1","title":"ExGrib.Grib2.Section0.Discipline.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section0.Discipline.html#t:id/0","title":"ExGrib.Grib2.Section0.Discipline.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section0.Discipline.html#t:t/0","title":"ExGrib.Grib2.Section0.Discipline.t/0","type":"type"},{"doc":"Section 1 contains identification information for a grib file. Identification section Notes: Local tables define those parts of the master table which are reserved for local use except for the case described below. In any case, the use of local tables in the messages are intended for non-local or international exchange is strongly discouraged. If octet 10 is set to 255 then only local tables are in use. In this case, the local table version number (octet 11) must not be zero nor missing.  Local tables may include entries from the entire range of the tables. If octet 11 is zero, octet 10 must contain a valid master table version number and only those parts of the tables not reserved for local use may be used. If octets 8-9 is zero, Not a sub-center, the originating/generating center is the center defined by octets 6-7. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect1.shtml","ref":"ExGrib.Grib2.Section1.html","title":"ExGrib.Grib2.Section1","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#parse/1","title":"ExGrib.Grib2.Section1.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:day/0","title":"ExGrib.Grib2.Section1.day/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:hour/0","title":"ExGrib.Grib2.Section1.hour/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:input/0","title":"ExGrib.Grib2.Section1.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:local_version/0","title":"ExGrib.Grib2.Section1.local_version/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:minute/0","title":"ExGrib.Grib2.Section1.minute/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:month/0","title":"ExGrib.Grib2.Section1.month/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:second/0","title":"ExGrib.Grib2.Section1.second/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:t/0","title":"ExGrib.Grib2.Section1.t/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.html#t:year/0","title":"ExGrib.Grib2.Section1.year/0","type":"type"},{"doc":"Returns the name of the national / international originating centre (assigned by the WMO) from an integer in the GRIB. https://www.nco.ncep.noaa.gov/pmb/docs/on388/table0.html","ref":"ExGrib.Grib2.Section1.Centre.html","title":"ExGrib.Grib2.Section1.Centre","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section1.Centre.html#get/1","title":"ExGrib.Grib2.Section1.Centre.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section1.Centre.html#t:id/0","title":"ExGrib.Grib2.Section1.Centre.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.Centre.html#t:t/0","title":"ExGrib.Grib2.Section1.Centre.t/0","type":"type"},{"doc":"Grib type. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table1-4.shtml","ref":"ExGrib.Grib2.Section1.GribType.html","title":"ExGrib.Grib2.Section1.GribType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section1.GribType.html#get/1","title":"ExGrib.Grib2.Section1.GribType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section1.GribType.html#t:id/0","title":"ExGrib.Grib2.Section1.GribType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.GribType.html#t:t/0","title":"ExGrib.Grib2.Section1.GribType.t/0","type":"type"},{"doc":"Production status of data. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table1-3.shtml","ref":"ExGrib.Grib2.Section1.ProductionStatus.html","title":"ExGrib.Grib2.Section1.ProductionStatus","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section1.ProductionStatus.html#get/1","title":"ExGrib.Grib2.Section1.ProductionStatus.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section1.ProductionStatus.html#t:id/0","title":"ExGrib.Grib2.Section1.ProductionStatus.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.ProductionStatus.html#t:t/0","title":"ExGrib.Grib2.Section1.ProductionStatus.t/0","type":"type"},{"doc":"Significance of reference time values. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table1-2.shtml","ref":"ExGrib.Grib2.Section1.ReferenceTime.html","title":"ExGrib.Grib2.Section1.ReferenceTime","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section1.ReferenceTime.html#get/1","title":"ExGrib.Grib2.Section1.ReferenceTime.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section1.ReferenceTime.html#t:id/0","title":"ExGrib.Grib2.Section1.ReferenceTime.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.ReferenceTime.html#t:t/0","title":"ExGrib.Grib2.Section1.ReferenceTime.t/0","type":"type"},{"doc":"Returns an originating sub-centre as assigned by the nation, looked up from an integer in the GRIB. https://www.nco.ncep.noaa.gov/pmb/docs/on388/tablec.html","ref":"ExGrib.Grib2.Section1.SubCentre.html","title":"ExGrib.Grib2.Section1.SubCentre","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section1.SubCentre.html#get/2","title":"ExGrib.Grib2.Section1.SubCentre.get/2","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section1.SubCentre.html#t:id/0","title":"ExGrib.Grib2.Section1.SubCentre.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section1.SubCentre.html#t:t/0","title":"ExGrib.Grib2.Section1.SubCentre.t/0","type":"type"},{"doc":"Section 2 is reserved for local use. Local use section Notes: Center=7 (NCEP), subcenter=14(NWS Meteorological Development Laboratory (MDL)) uses octet 6 to indicate which local use table to use. For MDL, octet 6=1 indicates use: &quot;MDL Template 2.1&quot; https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect2.shtml","ref":"ExGrib.Grib2.Section2.html","title":"ExGrib.Grib2.Section2","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section2.html#parse/1","title":"ExGrib.Grib2.Section2.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section2.html#t:input/0","title":"ExGrib.Grib2.Section2.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section2.html#t:t/0","title":"ExGrib.Grib2.Section2.t/0","type":"type"},{"doc":"Section 3 contains information about grid definition. Grid definition section Notes: If octet 6 (source_id) is not zero, octets 15-xx (15-nn if octet 11 is zero) may not be supplied. This should be documented with all bits set to 1 in the grid definition template number. An optional list of numbers defining number of points is used to document a quasi-regular grid, where the number of points may vary from one row to another. In such a case, octet 11 is non zero and gives the number octets on which each number of points is encoded. For all other cases, such as regular grids, octets 11 and 12 are zero and no list is appended to the grid definition template. If a list of numbers defining the number of points is preset, it is appended at the end of the grid definition template ( or directly after the grid definition number if the template is missing). When the grid definition template is present, the length is given according to bit 3 of the scanning mode flag octet (length is Nj or Ny for flag value 0). List ordering is implied by data scanning. Depending on the code value given in octet 12, the list of numbers either: Corresponds to the coordinate lines as given in the grid definition, or Corresponds to a full circle, or Does not apply. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect3.shtml","ref":"ExGrib.Grib2.Section3.html","title":"ExGrib.Grib2.Section3","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.html#parse/1","title":"ExGrib.Grib2.Section3.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.html#t:input/0","title":"ExGrib.Grib2.Section3.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.html#t:t/0","title":"ExGrib.Grib2.Section3.t/0","type":"type"},{"doc":"Table 3.8 Defines the location of grid points. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-8.shtml","ref":"ExGrib.Grib2.Section3.GridPointPosition.html","title":"ExGrib.Grib2.Section3.GridPointPosition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.GridPointPosition.html#get/1","title":"ExGrib.Grib2.Section3.GridPointPosition.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.GridPointPosition.html#t:input/0","title":"ExGrib.Grib2.Section3.GridPointPosition.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.GridPointPosition.html#t:t/0","title":"ExGrib.Grib2.Section3.GridPointPosition.t/0","type":"type"},{"doc":"Table 3.1 Returns the grib template to use based on the grib template number. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-1.shtml","ref":"ExGrib.Grib2.Section3.GridTemplate.html","title":"ExGrib.Grib2.Section3.GridTemplate","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.GridTemplate.html#get/1","title":"ExGrib.Grib2.Section3.GridTemplate.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.GridTemplate.html#t:id/0","title":"ExGrib.Grib2.Section3.GridTemplate.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.GridTemplate.html#t:t/0","title":"ExGrib.Grib2.Section3.GridTemplate.t/0","type":"type"},{"doc":"Table 3.11 Section 3 can contain an attached list of numbers. The meanings of the interpretations are: 0 There is no attached list. 1 Numbers define number of points corresponding to full coordinate circles (i.e. parallels). Coordinate values on each circle are multiple of the circle mesh, and extreme coordinate values given in grid definition may not be reached in all rows. 2 Numbers define number of points corresponding to coordinate lines delimited by extreme coordinate values given in grid definition which are present in each row. 3 Numbers define the actual latitudes for each row in the grid. The list of numbers are integer values of the valid latitudes in microdegrees (scale by 106) or in unit equal to the ratio of the basic angle and the subdivisions number for each row, in the same order as specified in the &quot;scanning mode flag&quot; (bit no. 2) (see note 2) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-11.shtml","ref":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.html","title":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.html#get/1","title":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.html#t:id/0","title":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.html#t:t/0","title":"ExGrib.Grib2.Section3.InterpretationOfListOfNumbers.t/0","type":"type"},{"doc":"Table 3.9 Numbering order of diamonds as seen from the corresponding pole. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-9.shtml","ref":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.html","title":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.html#get/1","title":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.html#t:input/0","title":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.html#t:t/0","title":"ExGrib.Grib2.Section3.NumberingOrderOfDiamonds.t/0","type":"type"},{"doc":"Table 3.5 Represents the centre of a projection. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-5.shtml","ref":"ExGrib.Grib2.Section3.ProjectionCentre.html","title":"ExGrib.Grib2.Section3.ProjectionCentre","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.ProjectionCentre.html#get/1","title":"ExGrib.Grib2.Section3.ProjectionCentre.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.ProjectionCentre.html#t:input/0","title":"ExGrib.Grib2.Section3.ProjectionCentre.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.ProjectionCentre.html#t:t/0","title":"ExGrib.Grib2.Section3.ProjectionCentre.t/0","type":"type"},{"doc":"Table 3.3 https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-3.shtml","ref":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.html","title":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.html#get/1","title":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.html#t:input/0","title":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.html#t:t/0","title":"ExGrib.Grib2.Section3.ResolutionAndComponentFlags.t/0","type":"type"},{"doc":"Table 3.4 Information on how to scan the binary data. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-4.shtml","ref":"ExGrib.Grib2.Section3.ScanningMode.html","title":"ExGrib.Grib2.Section3.ScanningMode","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.ScanningMode.html#get/1","title":"ExGrib.Grib2.Section3.ScanningMode.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.ScanningMode.html#t:input/0","title":"ExGrib.Grib2.Section3.ScanningMode.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.ScanningMode.html#t:t/0","title":"ExGrib.Grib2.Section3.ScanningMode.t/0","type":"type"},{"doc":"Table 3.10 Scanning mode for one diamond. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-10.shtml","ref":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.html","title":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.html#get/1","title":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.html#t:input/0","title":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.html#t:t/0","title":"ExGrib.Grib2.Section3.ScanningModeForOneDiamond.t/0","type":"type"},{"doc":"Table 3.2 Returns the 'shape' of the reference system (e.g. the datum used by the grib). https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-2.shtml","ref":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.html","title":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.html#get/1","title":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.html#t:id/0","title":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.html#t:t/0","title":"ExGrib.Grib2.Section3.ShapeOfReferenceSystem.t/0","type":"type"},{"doc":"Table 3.0 The source of a GRIB definition, this can be either within section 3, or it can be a predetermined template, or not applicable to this template. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-0.shtml","ref":"ExGrib.Grib2.Section3.SourceOfGridDefinition.html","title":"ExGrib.Grib2.Section3.SourceOfGridDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.SourceOfGridDefinition.html#get/1","title":"ExGrib.Grib2.Section3.SourceOfGridDefinition.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.SourceOfGridDefinition.html#t:id/0","title":"ExGrib.Grib2.Section3.SourceOfGridDefinition.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.SourceOfGridDefinition.html#t:t/0","title":"ExGrib.Grib2.Section3.SourceOfGridDefinition.t/0","type":"type"},{"doc":"Table 3.7 Determines the mode of spectral data information, this will be 1 normally. The complex numbers Fnm (See Code Table 3.6) are stored for M&gt;=0 as pairs of real numbers Re(Fnm), lm(Fnm) ordered with n increasing from m to N(m), first for m=0 and then for m=1, 2, ... M (see note below). Notes: Values of N(m) for common truncation cases are as follows: Triangular: M = J = K, N(m) = J Rhomboidal: K = J + M, N(m) = J + m Trapezoidal: K = J, K &gt; M, N(m) = J https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-7.shtml","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.html","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.html#get/1","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.html#t:mode/0","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.mode/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.html#t:t/0","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationMode.t/0","type":"type"},{"doc":"Table 3.6 Spectral data representation type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-6.shtml","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.html","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.html#get/1","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.html#t:input/0","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.html#t:t/0","title":"ExGrib.Grib2.Section3.SpectralDataRepresentationType.t/0","type":"type"},{"doc":"Template 3.31 Albers equal area https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-31.shtml","ref":"ExGrib.Grib2.Section3.Templates.AlbersEqualArea.html","title":"ExGrib.Grib2.Section3.Templates.AlbersEqualArea","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.AlbersEqualArea.html#get/1","title":"ExGrib.Grib2.Section3.Templates.AlbersEqualArea.get/1","type":"function"},{"doc":"Template 3.120 Azimuth-range Projection https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-120.shtml","ref":"ExGrib.Grib2.Section3.Templates.AzimuthRangeProjection.html","title":"ExGrib.Grib2.Section3.Templates.AzimuthRangeProjection","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.AzimuthRangeProjection.html#get/1","title":"ExGrib.Grib2.Section3.Templates.AzimuthRangeProjection.get/1","type":"function"},{"doc":"Template 3.1000 Cross-Section Grid with Points Equally Spaced on the Horizontal Preliminary Note: This template is simply experimental, was not validated at the time of publication and should be used only for bilateral previously-agreed tests. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-1000.shtml","ref":"ExGrib.Grib2.Section3.Templates.CrossSectionGridWithPointsEquallySpacedOnTheHorizontal.html","title":"ExGrib.Grib2.Section3.Templates.CrossSectionGridWithPointsEquallySpacedOnTheHorizontal","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.CrossSectionGridWithPointsEquallySpacedOnTheHorizontal.html#get/1","title":"ExGrib.Grib2.Section3.Templates.CrossSectionGridWithPointsEquallySpacedOnTheHorizontal.get/1","type":"function"},{"doc":"Template 3.60 Cubed-Sphere Gnomonic Created 06/04/2019, in validation, meaning the corresponding entry is not yet official and could change at any time, so it should not be used for any official products. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-60.shtml","ref":"ExGrib.Grib2.Section3.Templates.CubedSphereGnomonic.html","title":"ExGrib.Grib2.Section3.Templates.CubedSphereGnomonic","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.CubedSphereGnomonic.html#get/1","title":"ExGrib.Grib2.Section3.Templates.CubedSphereGnomonic.get/1","type":"function"},{"doc":"Template 3.204 Curvilinear Orthogonal Grid https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-204.shtml","ref":"ExGrib.Grib2.Section3.Templates.CurvilinearOrthogonalGrids.html","title":"ExGrib.Grib2.Section3.Templates.CurvilinearOrthogonalGrids","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.CurvilinearOrthogonalGrids.html#get/1","title":"ExGrib.Grib2.Section3.Templates.CurvilinearOrthogonalGrids.get/1","type":"function"},{"doc":"Template 3.110 Equatorial Azimuthal Equidistant Projection https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-110.shtml","ref":"ExGrib.Grib2.Section3.Templates.EquatorialAzimuthalEquidistantProjection.html","title":"ExGrib.Grib2.Section3.Templates.EquatorialAzimuthalEquidistantProjection","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.EquatorialAzimuthalEquidistantProjection.html#get/1","title":"ExGrib.Grib2.Section3.Templates.EquatorialAzimuthalEquidistantProjection.get/1","type":"function"},{"doc":"Template 3.40 Gaussian Latitude/Longitude https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-40.shtml","ref":"ExGrib.Grib2.Section3.Templates.GaussianLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.GaussianLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.GaussianLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.GaussianLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.101 General Unstructured Grid https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-101.shtml","ref":"ExGrib.Grib2.Section3.Templates.GeneralUnstructuredGrid.html","title":"ExGrib.Grib2.Section3.Templates.GeneralUnstructuredGrid","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.GeneralUnstructuredGrid.html#get/1","title":"ExGrib.Grib2.Section3.Templates.GeneralUnstructuredGrid.get/1","type":"function"},{"doc":"Template 3.1100 Hovmoller Diagram Grid with Points Equally Spaced on the Horizontal https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-1100.shtml","ref":"ExGrib.Grib2.Section3.Templates.HovmollerDiagramWithPointsEquallySpacedOnTheHorizontal.html","title":"ExGrib.Grib2.Section3.Templates.HovmollerDiagramWithPointsEquallySpacedOnTheHorizontal","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.HovmollerDiagramWithPointsEquallySpacedOnTheHorizontal.html#get/1","title":"ExGrib.Grib2.Section3.Templates.HovmollerDiagramWithPointsEquallySpacedOnTheHorizontal.get/1","type":"function"},{"doc":"Template 3.140 Lambert Azimuthal Equal Area Projection https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-140.shtml","ref":"ExGrib.Grib2.Section3.Templates.LambertAzimuthalEqualAreaProjection.html","title":"ExGrib.Grib2.Section3.Templates.LambertAzimuthalEqualAreaProjection","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.LambertAzimuthalEqualAreaProjection.html#get/1","title":"ExGrib.Grib2.Section3.Templates.LambertAzimuthalEqualAreaProjection.get/1","type":"function"},{"doc":"Template 3.30 Lambert conformal https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-30.shtml","ref":"ExGrib.Grib2.Section3.Templates.LambertConformal.html","title":"ExGrib.Grib2.Section3.Templates.LambertConformal","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.LambertConformal.html#get/1","title":"ExGrib.Grib2.Section3.Templates.LambertConformal.get/1","type":"function"},{"doc":"Template 3.33 Lambert conformal with modelling subdomains definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-33.shtml","ref":"ExGrib.Grib2.Section3.Templates.LambertConformalWithModellingSubdomainsDefinition.html","title":"ExGrib.Grib2.Section3.Templates.LambertConformalWithModellingSubdomainsDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.LambertConformalWithModellingSubdomainsDefinition.html#get/1","title":"ExGrib.Grib2.Section3.Templates.LambertConformalWithModellingSubdomainsDefinition.get/1","type":"function"},{"doc":"Template 3.0 Latitude/Longitude (or equidistant cylindrical, or Plate Carree) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-0.shtml","ref":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.html#t:input/0","title":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.html#t:t/0","title":"ExGrib.Grib2.Section3.Templates.LatitudeLongitude.t/0","type":"type"},{"doc":"Template 3.10 Mercator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-10.shtml","ref":"ExGrib.Grib2.Section3.Templates.Mercator.html","title":"ExGrib.Grib2.Section3.Templates.Mercator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.Mercator.html#get/1","title":"ExGrib.Grib2.Section3.Templates.Mercator.get/1","type":"function"},{"doc":"Template 3.13 Mercator with modelling subdomains definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-13.shtml","ref":"ExGrib.Grib2.Section3.Templates.MercatorWithModellingSubdomainsDefinition.html","title":"ExGrib.Grib2.Section3.Templates.MercatorWithModellingSubdomainsDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.MercatorWithModellingSubdomainsDefinition.html#get/1","title":"ExGrib.Grib2.Section3.Templates.MercatorWithModellingSubdomainsDefinition.get/1","type":"function"},{"doc":"Template 3.20 Polar stereographic projection https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-20.shtml","ref":"ExGrib.Grib2.Section3.Templates.PolarStereographicProjection.html","title":"ExGrib.Grib2.Section3.Templates.PolarStereographicProjection","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.PolarStereographicProjection.html#get/1","title":"ExGrib.Grib2.Section3.Templates.PolarStereographicProjection.get/1","type":"function"},{"doc":"Template 3.23 Polar stereographic projection with modelling subdomains definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-23.shtml","ref":"ExGrib.Grib2.Section3.Templates.PolarStereographicWithModellingSubdomainsDefinition.html","title":"ExGrib.Grib2.Section3.Templates.PolarStereographicWithModellingSubdomainsDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.PolarStereographicWithModellingSubdomainsDefinition.html#get/1","title":"ExGrib.Grib2.Section3.Templates.PolarStereographicWithModellingSubdomainsDefinition.get/1","type":"function"},{"doc":"Template 3.1 Rotate Latitude/Longitude (or equidistant cylindrical, or Plate Carree) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-1.shtml","ref":"ExGrib.Grib2.Section3.Templates.RotateLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.RotateLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.RotateLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.RotateLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.41 Rotated Gaussian Latitude/Longitude https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-41.shtml","ref":"ExGrib.Grib2.Section3.Templates.RotatedGaussianLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.RotatedGaussianLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.RotatedGaussianLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.RotatedGaussianLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.51 Rotated Spherical Harmonic Coefficients https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-51.shtml","ref":"ExGrib.Grib2.Section3.Templates.RotatedSphericalHarmonicCoefficients.html","title":"ExGrib.Grib2.Section3.Templates.RotatedSphericalHarmonicCoefficients","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.RotatedSphericalHarmonicCoefficients.html#get/1","title":"ExGrib.Grib2.Section3.Templates.RotatedSphericalHarmonicCoefficients.get/1","type":"function"},{"doc":"Template 3.90 Space View Perspective or Orthographic https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-90.shtml","ref":"ExGrib.Grib2.Section3.Templates.SpaceViewPerspectiveOrOrthographic.html","title":"ExGrib.Grib2.Section3.Templates.SpaceViewPerspectiveOrOrthographic","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.SpaceViewPerspectiveOrOrthographic.html#get/1","title":"ExGrib.Grib2.Section3.Templates.SpaceViewPerspectiveOrOrthographic.get/1","type":"function"},{"doc":"Template 3.63 Spectral Lambert Conformal with modelling subdomains definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-63.shtml","ref":"ExGrib.Grib2.Section3.Templates.SpectralLambertConformalWithModellingSubdomainsDefinition.html","title":"ExGrib.Grib2.Section3.Templates.SpectralLambertConformalWithModellingSubdomainsDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.SpectralLambertConformalWithModellingSubdomainsDefinition.html#get/1","title":"ExGrib.Grib2.Section3.Templates.SpectralLambertConformalWithModellingSubdomainsDefinition.get/1","type":"function"},{"doc":"Template 3.61 Spectral Mercator with modelling subdomains definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-61.shtml","ref":"ExGrib.Grib2.Section3.Templates.SpectralMercatorWithModellingSubdomainsDefinition.html","title":"ExGrib.Grib2.Section3.Templates.SpectralMercatorWithModellingSubdomainsDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.SpectralMercatorWithModellingSubdomainsDefinition.html#get/1","title":"ExGrib.Grib2.Section3.Templates.SpectralMercatorWithModellingSubdomainsDefinition.get/1","type":"function"},{"doc":"Template 3.62 Spectral Polar Stereographic with modelling subdomains definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-62.shtml","ref":"ExGrib.Grib2.Section3.Templates.SpectralPolarStereographicWithModellingSubdomainsDefinition.html","title":"ExGrib.Grib2.Section3.Templates.SpectralPolarStereographicWithModellingSubdomainsDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.SpectralPolarStereographicWithModellingSubdomainsDefinition.html#get/1","title":"ExGrib.Grib2.Section3.Templates.SpectralPolarStereographicWithModellingSubdomainsDefinition.get/1","type":"function"},{"doc":"Template 3.50 Spherical Harmonic Coefficients https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-50.shtml","ref":"ExGrib.Grib2.Section3.Templates.SphericalHarmonicCoefficients.html","title":"ExGrib.Grib2.Section3.Templates.SphericalHarmonicCoefficients","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.SphericalHarmonicCoefficients.html#get/1","title":"ExGrib.Grib2.Section3.Templates.SphericalHarmonicCoefficients.get/1","type":"function"},{"doc":"Template 3.3 Stretched and Rotate Latitude/Longitude (or equidistant cylindrical, or Plate Carree) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-3.shtml","ref":"ExGrib.Grib2.Section3.Templates.StretchedAndRotateLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.StretchedAndRotateLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.StretchedAndRotateLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.StretchedAndRotateLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.43 Stretched and Rotated Gaussian Latitude/Longitude https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-43.shtml","ref":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedGaussianLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedGaussianLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedGaussianLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedGaussianLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.53 Stretched and Rotated Spherical Harmonic Coefficients https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-53.shtml","ref":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedSphericalHarmonicCoefficients.html","title":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedSphericalHarmonicCoefficients","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedSphericalHarmonicCoefficients.html#get/1","title":"ExGrib.Grib2.Section3.Templates.StretchedAndRotatedSphericalHarmonicCoefficients.get/1","type":"function"},{"doc":"Template 3.42 Stretched Gaussian Latitude/Longitude https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-42.shtml","ref":"ExGrib.Grib2.Section3.Templates.StretchedGaussianLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.StretchedGaussianLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.StretchedGaussianLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.StretchedGaussianLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.2 Stretched Latitude/Longitude (or equidistant cylindrical, or Plate Carree) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-2.shtml","ref":"ExGrib.Grib2.Section3.Templates.StretchedLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.StretchedLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.StretchedLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.StretchedLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.52 Stretched Spherical Harmonic Coefficients https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-52.shtml","ref":"ExGrib.Grib2.Section3.Templates.StretchedSphericalHarmonicCoefficients.html","title":"ExGrib.Grib2.Section3.Templates.StretchedSphericalHarmonicCoefficients","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.StretchedSphericalHarmonicCoefficients.html#get/1","title":"ExGrib.Grib2.Section3.Templates.StretchedSphericalHarmonicCoefficients.get/1","type":"function"},{"doc":"Template 3.1200 Time Section Grid This template is simply experimental, was not validated at the time of publication and should be used only for bilateral previously-agreed tests. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-1200.shtml","ref":"ExGrib.Grib2.Section3.Templates.TimeSectionGrid.html","title":"ExGrib.Grib2.Section3.Templates.TimeSectionGrid","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.TimeSectionGrid.html#get/1","title":"ExGrib.Grib2.Section3.Templates.TimeSectionGrid.get/1","type":"function"},{"doc":"Template 3.12 Transverse Mercator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-12.shtml","ref":"ExGrib.Grib2.Section3.Templates.TransverseMercator.html","title":"ExGrib.Grib2.Section3.Templates.TransverseMercator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.TransverseMercator.html#get/1","title":"ExGrib.Grib2.Section3.Templates.TransverseMercator.get/1","type":"function"},{"doc":"Template 3.100 Triangular grid based on an Icosahedron (see Part B, GRIB Attachment I) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-100.shtml","ref":"ExGrib.Grib2.Section3.Templates.TriangularGridBasedOnAnIcosahedron.html","title":"ExGrib.Grib2.Section3.Templates.TriangularGridBasedOnAnIcosahedron","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.TriangularGridBasedOnAnIcosahedron.html#get/1","title":"ExGrib.Grib2.Section3.Templates.TriangularGridBasedOnAnIcosahedron.get/1","type":"function"},{"doc":"Template 3.4 Variable Resolution Latitude/Longitude https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-4.shtml","ref":"ExGrib.Grib2.Section3.Templates.VariableResolutionLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.VariableResolutionLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.VariableResolutionLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.VariableResolutionLatitudeLongitude.get/1","type":"function"},{"doc":"Template 3.5 Variable Resolution Rotate Latitude/Longitude https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp3-5.shtml","ref":"ExGrib.Grib2.Section3.Templates.VariableResolutionRotateLatitudeLongitude.html","title":"ExGrib.Grib2.Section3.Templates.VariableResolutionRotateLatitudeLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.Templates.VariableResolutionRotateLatitudeLongitude.html#get/1","title":"ExGrib.Grib2.Section3.Templates.VariableResolutionRotateLatitudeLongitude.get/1","type":"function"},{"doc":"Table 3.20 https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-20.shtml","ref":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.html","title":"ExGrib.Grib2.Section3.TypeOfHorizontalLine","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.html#get/1","title":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.html#t:input/0","title":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.html#t:t/0","title":"ExGrib.Grib2.Section3.TypeOfHorizontalLine.t/0","type":"type"},{"doc":"Table 3.15 Physical meaning of vertical coordinate https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-15.shtml","ref":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.html","title":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.html#get/1","title":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.html#t:input/0","title":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.html#t:t/0","title":"ExGrib.Grib2.Section3.VerticalCoordinateMeaning.t/0","type":"type"},{"doc":"Table 3.21 https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table3-21.shtml","ref":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.html","title":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.html#get/1","title":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.html#t:input/0","title":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.html#t:t/0","title":"ExGrib.Grib2.Section3.VerticalDimensionCoordinateValues.t/0","type":"type"},{"doc":"Section 4 contains information about product definition. Product definition section Notes: Coordinate values are intended to document the vertical discretization associated with model data on hybrid coordinate vertical levels. A value of zero in octets 6-7 indicates that no such values are present. Otherwise the number corresponds to the whole set of values. Hybrid systems employ a means of representing vertical coordinates in terms of a mathematical combination of pressure and sigma coordinates. When used in conjunction with a surface pressure field and an appropriate mathematical expression, the vertical coordinate parameters may be used to interpret the hybrid vertical coordinate. Hybrid coordinate values, if present, should be encoded in IEEE 32-bit floating point format. They are intended to be encoded as pairs. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect4.shtml","ref":"ExGrib.Grib2.Section4.html","title":"ExGrib.Grib2.Section4","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.html#parse/1","title":"ExGrib.Grib2.Section4.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.html#t:input/0","title":"ExGrib.Grib2.Section4.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.html#t:t/0","title":"ExGrib.Grib2.Section4.t/0","type":"type"},{"doc":"Table 4.233 Aerosol type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-233.shtml","ref":"ExGrib.Grib2.Section4.AerosolType.html","title":"ExGrib.Grib2.Section4.AerosolType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.AerosolType.html#get/1","title":"ExGrib.Grib2.Section4.AerosolType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.AerosolType.html#t:id/0","title":"ExGrib.Grib2.Section4.AerosolType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.AerosolType.html#t:t/0","title":"ExGrib.Grib2.Section4.AerosolType.t/0","type":"type"},{"doc":"Table 4.230 Atmospheric chemical or physical constituent type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-230.shtml","ref":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.html","title":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.html#get/1","title":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.html#t:id/0","title":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.html#t:t/0","title":"ExGrib.Grib2.Section4.AtmosphericChemicalOrPhysicalConstituentType.t/0","type":"type"},{"doc":"Table 4.234 Canopy cover fraction (to be used as partitioned parameter in pdt 4.53 or 4.54) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-234.shtml","ref":"ExGrib.Grib2.Section4.CanopyCoverFraction.html","title":"ExGrib.Grib2.Section4.CanopyCoverFraction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CanopyCoverFraction.html#get/1","title":"ExGrib.Grib2.Section4.CanopyCoverFraction.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CanopyCoverFraction.html#t:id/0","title":"ExGrib.Grib2.Section4.CanopyCoverFraction.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CanopyCoverFraction.html#t:t/0","title":"ExGrib.Grib2.Section4.CanopyCoverFraction.t/0","type":"type"},{"doc":"Table 4.224 Categorical outlook https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-224.shtml","ref":"ExGrib.Grib2.Section4.CategoricalOutlook.html","title":"ExGrib.Grib2.Section4.CategoricalOutlook","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CategoricalOutlook.html#get/1","title":"ExGrib.Grib2.Section4.CategoricalOutlook.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CategoricalOutlook.html#t:id/0","title":"ExGrib.Grib2.Section4.CategoricalOutlook.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CategoricalOutlook.html#t:t/0","title":"ExGrib.Grib2.Section4.CategoricalOutlook.t/0","type":"type"},{"doc":"Table 4.222 Categorical result https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-222.shtml","ref":"ExGrib.Grib2.Section4.CategoricalResult.html","title":"ExGrib.Grib2.Section4.CategoricalResult","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CategoricalResult.html#get/1","title":"ExGrib.Grib2.Section4.CategoricalResult.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CategoricalResult.html#t:id/0","title":"ExGrib.Grib2.Section4.CategoricalResult.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CategoricalResult.html#t:t/0","title":"ExGrib.Grib2.Section4.CategoricalResult.t/0","type":"type"},{"doc":"Table 4.217 Cloud mask type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-217.shtml","ref":"ExGrib.Grib2.Section4.CloudMaskType.html","title":"ExGrib.Grib2.Section4.CloudMaskType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudMaskType.html#get/1","title":"ExGrib.Grib2.Section4.CloudMaskType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudMaskType.html#t:id/0","title":"ExGrib.Grib2.Section4.CloudMaskType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudMaskType.html#t:t/0","title":"ExGrib.Grib2.Section4.CloudMaskType.t/0","type":"type"},{"doc":"Table 4.219 Cloud top height quality indicator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-219.shtml","ref":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.html","title":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.html#get/1","title":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.html#t:id/0","title":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.html#t:t/0","title":"ExGrib.Grib2.Section4.CloudTopHeightQualityIndicator.t/0","type":"type"},{"doc":"Table 4.203 Cloud type Notes: Code figures 11-20 indicate all four layers were used and ground-based fog is below the lowest layer. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-203.shtml","ref":"ExGrib.Grib2.Section4.CloudType.html","title":"ExGrib.Grib2.Section4.CloudType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudType.html#get/1","title":"ExGrib.Grib2.Section4.CloudType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudType.html#t:id/0","title":"ExGrib.Grib2.Section4.CloudType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CloudType.html#t:t/0","title":"ExGrib.Grib2.Section4.CloudType.t/0","type":"type"},{"doc":"Table 4.8 Clustering method https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-8.shtml","ref":"ExGrib.Grib2.Section4.ClusteringMethod.html","title":"ExGrib.Grib2.Section4.ClusteringMethod","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ClusteringMethod.html#get/1","title":"ExGrib.Grib2.Section4.ClusteringMethod.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ClusteringMethod.html#t:id/0","title":"ExGrib.Grib2.Section4.ClusteringMethod.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ClusteringMethod.html#t:t/0","title":"ExGrib.Grib2.Section4.ClusteringMethod.t/0","type":"type"},{"doc":"Table 4.14 Clutter filter indicator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-14.shtml","ref":"ExGrib.Grib2.Section4.ClutterFilterIndicator.html","title":"ExGrib.Grib2.Section4.ClutterFilterIndicator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ClutterFilterIndicator.html#get/1","title":"ExGrib.Grib2.Section4.ClutterFilterIndicator.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ClutterFilterIndicator.html#t:id/0","title":"ExGrib.Grib2.Section4.ClutterFilterIndicator.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ClutterFilterIndicator.html#t:t/0","title":"ExGrib.Grib2.Section4.ClutterFilterIndicator.t/0","type":"type"},{"doc":"Table 4.211 Contrail engine type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-211.shtml","ref":"ExGrib.Grib2.Section4.ContrailEngineType.html","title":"ExGrib.Grib2.Section4.ContrailEngineType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ContrailEngineType.html#get/1","title":"ExGrib.Grib2.Section4.ContrailEngineType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ContrailEngineType.html#t:id/0","title":"ExGrib.Grib2.Section4.ContrailEngineType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ContrailEngineType.html#t:t/0","title":"ExGrib.Grib2.Section4.ContrailEngineType.t/0","type":"type"},{"doc":"Table 4.210 Contrail intensity https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-210.shtml","ref":"ExGrib.Grib2.Section4.ContrailIntensity.html","title":"ExGrib.Grib2.Section4.ContrailIntensity","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ContrailIntensity.html#get/1","title":"ExGrib.Grib2.Section4.ContrailIntensity.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ContrailIntensity.html#t:id/0","title":"ExGrib.Grib2.Section4.ContrailIntensity.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ContrailIntensity.html#t:t/0","title":"ExGrib.Grib2.Section4.ContrailIntensity.t/0","type":"type"},{"doc":"Table 4.241 Coverage attributes https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-241.shtml","ref":"ExGrib.Grib2.Section4.CoverageAttributes.html","title":"ExGrib.Grib2.Section4.CoverageAttributes","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.CoverageAttributes.html#get/1","title":"ExGrib.Grib2.Section4.CoverageAttributes.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.CoverageAttributes.html#t:id/0","title":"ExGrib.Grib2.Section4.CoverageAttributes.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.CoverageAttributes.html#t:t/0","title":"ExGrib.Grib2.Section4.CoverageAttributes.t/0","type":"type"},{"doc":"Table 4.7 Derived forecast Notes: Large anomaly index is defined as (number of members whose anomaly is higher than 0.5 SD) - (number of members whose anomaly is lower than -0.5 SD)}/(number of members) at each grid point. SD is the observed climatological standard deviation. 2. It should be noted that the reference for &quot;minimum of all ensemble members&quot; and &quot;maximum of all ensemble members&quot; is the set of ensemble members and not a time interval and should not be confused with the maximum and minimum described by Product Definition Template 4.8. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-7.shtml","ref":"ExGrib.Grib2.Section4.DerivedForecast.html","title":"ExGrib.Grib2.Section4.DerivedForecast","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.DerivedForecast.html#get/1","title":"ExGrib.Grib2.Section4.DerivedForecast.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.DerivedForecast.html#t:id/0","title":"ExGrib.Grib2.Section4.DerivedForecast.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.DerivedForecast.html#t:t/0","title":"ExGrib.Grib2.Section4.DerivedForecast.t/0","type":"type"},{"doc":"Table 4.216 Elevation of snow covered terrain https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-216.shtml","ref":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.html","title":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.html#get/1","title":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.html#t:id/0","title":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.html#t:t/0","title":"ExGrib.Grib2.Section4.ElevationOfSnowCoveredTerrain.t/0","type":"type"},{"doc":"Table 4.223 Fire detection indicator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-223.shtml","ref":"ExGrib.Grib2.Section4.FireDetectionIndicator.html","title":"ExGrib.Grib2.Section4.FireDetectionIndicator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.FireDetectionIndicator.html#get/1","title":"ExGrib.Grib2.Section4.FireDetectionIndicator.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.FireDetectionIndicator.html#t:id/0","title":"ExGrib.Grib2.Section4.FireDetectionIndicator.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.FireDetectionIndicator.html#t:t/0","title":"ExGrib.Grib2.Section4.FireDetectionIndicator.t/0","type":"type"},{"doc":"Table 4.5 Fixed surface types and units Notes: 1). The Eta vertical coordinate system involves normalizing the pressure at some point on a specific level by the mean sea level pressure at that point. 2). Hybrid height level (Code figure 118) can be defined as: z(k)=A(k)+B(k)* orog (k=1,..., NLevels; orog=orography; z(k)=height in meters at level(k) 3).  Hybrid pressure level, for which code figure 119 shall be used insteaf of 105, can be defined as: p(k)=A(k) + B(k) * sp (k=1,...,NLevels, sp=surface pressure; p(k)=pressure at level (k) 4). Sigma height level is the vertical model level of the height-based terrain-following coordinate (Gal-Chen and Somerville, 1975). The value of the level = (height of the level – height of the terrain) / (height of the top level – height of the terrain), which is ≥ 0 and ≤ 1. 5). The definition of a generalized vertical height coordinate implies the absence of coordinate values in section 4 but the presence of an external 3D-GRIB message that specifies the height of every model grid point in meters (see Notes for section 4), i.e., this GRIB message will contain the field with discipline = 0, category = 3, parameterm = 6 (Geometric height). 6). The soil level represents a model level for which the depth is not constant across the model domain.The depth in metres of the level is provided by another GRIB message with the parameter &quot;Soil Depth&quot; with discipline 2, category 3 and parameter number 27. 7). The level is defined by a water property difference from the near-surface to the level. The near-surface is typically chosen at 10 m depth. The physical quantity used to compute the difference can be water density (δΘ) when using level type 169 or water potential temperature (Θ) when using level type 170. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-5.shtml","ref":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.html","title":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.html#get/1","title":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.html#t:id/0","title":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.html#t:t/0","title":"ExGrib.Grib2.Section4.FixedSurfaceTypesAndUnits.t/0","type":"type"},{"doc":"Table 4.220 Horizontal dimension processed https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-220.shtml","ref":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.html","title":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.html#get/1","title":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.html#t:id/0","title":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.html#t:t/0","title":"ExGrib.Grib2.Section4.HorizontalDimensionProcessed.t/0","type":"type"},{"doc":"Table 4.207 Icing https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-207.shtml","ref":"ExGrib.Grib2.Section4.Icing.html","title":"ExGrib.Grib2.Section4.Icing","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Icing.html#get/1","title":"ExGrib.Grib2.Section4.Icing.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.Icing.html#t:id/0","title":"ExGrib.Grib2.Section4.Icing.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.Icing.html#t:t/0","title":"ExGrib.Grib2.Section4.Icing.t/0","type":"type"},{"doc":"Table 4.227 Icing scenario (weather/cloud classification) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-227.shtml","ref":"ExGrib.Grib2.Section4.IcingScenario.html","title":"ExGrib.Grib2.Section4.IcingScenario","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.IcingScenario.html#get/1","title":"ExGrib.Grib2.Section4.IcingScenario.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.IcingScenario.html#t:id/0","title":"ExGrib.Grib2.Section4.IcingScenario.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.IcingScenario.html#t:t/0","title":"ExGrib.Grib2.Section4.IcingScenario.t/0","type":"type"},{"doc":"Table 4.4 Indicator of unit of time range https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-4.shtml","ref":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.html","title":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.html#get/1","title":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.html#t:id/0","title":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.html#t:t/0","title":"ExGrib.Grib2.Section4.IndicatorOfUnitOfTimeRange.t/0","type":"type"},{"doc":"Table 4.212 Land use https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-212.shtml","ref":"ExGrib.Grib2.Section4.LandUse.html","title":"ExGrib.Grib2.Section4.LandUse","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.LandUse.html#get/1","title":"ExGrib.Grib2.Section4.LandUse.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.LandUse.html#t:id/0","title":"ExGrib.Grib2.Section4.LandUse.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.LandUse.html#t:t/0","title":"ExGrib.Grib2.Section4.LandUse.t/0","type":"type"},{"doc":"Table 4.12 Operating mode https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-12.shtml","ref":"ExGrib.Grib2.Section4.OperatingMode.html","title":"ExGrib.Grib2.Section4.OperatingMode","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.OperatingMode.html#get/1","title":"ExGrib.Grib2.Section4.OperatingMode.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.OperatingMode.html#t:id/0","title":"ExGrib.Grib2.Section4.OperatingMode.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.OperatingMode.html#t:t/0","title":"ExGrib.Grib2.Section4.OperatingMode.t/0","type":"type"},{"doc":"Table 4.1 Parameter category by product discipline. In Section 4, Octet 10 Note: The disciplines are given in Section 0, Octet 7 of the GRIB2 message and are defined in Table 0.0. When a new category is to be added to Code table 4.1 and more than one discipline applies, the choice of discipline should be made based on the intended use of product. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-1.shtml","ref":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.html","title":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.html#get/2","title":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.get/2","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.html#t:discipline_id/0","title":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.discipline_id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.html#t:id/0","title":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.html#t:t/0","title":"ExGrib.Grib2.Section4.ParameterCategoryByProductDiscipline.t/0","type":"type"},{"doc":"Table 4.2 Parameter number by product discipline and parameter category Notes: By convention, the flux sign is positive if downward. When a new parameter is to be added to Code table 4.2 and more than one category applies, the choice of category should be made base on the intended use of product. The discipline and category are an important part of any product definition, so it is possible to have the same parameter name in more than one category. For example, &quot;Water Temperature&quot; in discipline 10 (Oceanographic Products), category 4 (sub-surface properties) is used to reporting water temperature in the ocean or open sea, and is not the same as &quot;Water temperature&quot; in discipline 1 (Hydrological Products), category 2 (Inland water and sediment properties) which is used for reporting water temperature in freshwater lakes and rivers. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-2.shtml","ref":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.html","title":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.html#get/2","title":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.get/2","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.html#t:discipline_id/0","title":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.discipline_id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.html#t:id/0","title":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.html#t:t/0","title":"ExGrib.Grib2.Section4.ParameterNumberByProductDisciplineAndParameterCategory.t/0","type":"type"},{"doc":"Table 4.218 Pixel scene type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-218.shtml","ref":"ExGrib.Grib2.Section4.PixelSceneType.html","title":"ExGrib.Grib2.Section4.PixelSceneType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.PixelSceneType.html#get/1","title":"ExGrib.Grib2.Section4.PixelSceneType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.PixelSceneType.html#t:id/0","title":"ExGrib.Grib2.Section4.PixelSceneType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.PixelSceneType.html#t:t/0","title":"ExGrib.Grib2.Section4.PixelSceneType.t/0","type":"type"},{"doc":"Table 4.209 Planetary boundary layer regime https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-209.shtml","ref":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.html","title":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.html#get/1","title":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.html#t:id/0","title":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.html#t:t/0","title":"ExGrib.Grib2.Section4.PlanetaryBoundaryLayerRegime.t/0","type":"type"},{"doc":"Table 4.202 Precipitable water category https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-202.shtml","ref":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.html","title":"ExGrib.Grib2.Section4.PrecipitableWaterCategory","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.html#get/1","title":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.html#t:id/0","title":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.html#t:t/0","title":"ExGrib.Grib2.Section4.PrecipitableWaterCategory.t/0","type":"type"},{"doc":"Table 4.201 Precipitation type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-201.shtml","ref":"ExGrib.Grib2.Section4.PrecipitationType.html","title":"ExGrib.Grib2.Section4.PrecipitationType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.PrecipitationType.html#get/1","title":"ExGrib.Grib2.Section4.PrecipitationType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.PrecipitationType.html#t:id/0","title":"ExGrib.Grib2.Section4.PrecipitationType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.PrecipitationType.html#t:t/0","title":"ExGrib.Grib2.Section4.PrecipitationType.t/0","type":"type"},{"doc":"Table 4.205 Presence of aerosol https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-205.shtml","ref":"ExGrib.Grib2.Section4.PresenceOfAerosol.html","title":"ExGrib.Grib2.Section4.PresenceOfAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.PresenceOfAerosol.html#get/1","title":"ExGrib.Grib2.Section4.PresenceOfAerosol.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.PresenceOfAerosol.html#t:id/0","title":"ExGrib.Grib2.Section4.PresenceOfAerosol.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.PresenceOfAerosol.html#t:t/0","title":"ExGrib.Grib2.Section4.PresenceOfAerosol.t/0","type":"type"},{"doc":"Table 4.9 Probability type Notes: (1). Above normal, near normal and below normal are defined as three equiprobable categories based on climatology at each point over the geographical area covered by the grid. The type and methodology of the reference climatology are unspecified and should be documented concurrently by the data producer. (2). Product definition templates that use Code Table 4.9 may contain octets to store the values of lower and upper limits. When categorical probability is used (such as below, near and above normal), these octets shall be set to “all ones” (missing). https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-9.shtml","ref":"ExGrib.Grib2.Section4.ProbabilityType.html","title":"ExGrib.Grib2.Section4.ProbabilityType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ProbabilityType.html#get/1","title":"ExGrib.Grib2.Section4.ProbabilityType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ProbabilityType.html#t:id/0","title":"ExGrib.Grib2.Section4.ProbabilityType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ProbabilityType.html#t:t/0","title":"ExGrib.Grib2.Section4.ProbabilityType.t/0","type":"type"},{"doc":"Table 4.0 Product definition template number https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-0.shtml","ref":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.html","title":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.html#get/1","title":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.html#t:id/0","title":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.html#t:t/0","title":"ExGrib.Grib2.Section4.ProductDefinitionTemplateNumber.t/0","type":"type"},{"doc":"Table 4.13 Quality control indicator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-13.shtml","ref":"ExGrib.Grib2.Section4.QualityControlIndicator.html","title":"ExGrib.Grib2.Section4.QualityControlIndicator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityControlIndicator.html#get/1","title":"ExGrib.Grib2.Section4.QualityControlIndicator.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityControlIndicator.html#t:id/0","title":"ExGrib.Grib2.Section4.QualityControlIndicator.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityControlIndicator.html#t:t/0","title":"ExGrib.Grib2.Section4.QualityControlIndicator.t/0","type":"type"},{"doc":"Table 4.244 Quality indicator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-244.shtml","ref":"ExGrib.Grib2.Section4.QualityIndicator.html","title":"ExGrib.Grib2.Section4.QualityIndicator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityIndicator.html#get/1","title":"ExGrib.Grib2.Section4.QualityIndicator.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityIndicator.html#t:id/0","title":"ExGrib.Grib2.Section4.QualityIndicator.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityIndicator.html#t:t/0","title":"ExGrib.Grib2.Section4.QualityIndicator.t/0","type":"type"},{"doc":"Table 4.16 Quality value associated with parameter Notes: (1) When a non-missing value is used from this code table, the original data value is a quality value associated     with the parameter defined by octets 10 and 11 of the product definition template. (2) The original data value is a non-dimensional number from 0 to 1, where 0 indicates no confidence and 1     indicates maximal confidence. (3) The original data value is defined by Code table 4.244 Table 244 (4) The original data value is a non-dimensional number without units. (5) The original data value is in the same units as the parameter defined by     octets 10 and 11 of the product definition template. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-16.shtml","ref":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.html","title":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.html#get/1","title":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.html#t:id/0","title":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.html#t:t/0","title":"ExGrib.Grib2.Section4.QualityValueAssociatedWithParameter.t/0","type":"type"},{"doc":"Table 4.215 Remotely sensed snow coverage https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-215.shtml","ref":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.html","title":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.html#get/1","title":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.html#t:id/0","title":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.html#t:t/0","title":"ExGrib.Grib2.Section4.RemotelySensedSnowCoverage.t/0","type":"type"},{"doc":"Table 4.236 Soil texture fraction (to be used as partitioned parameter in pdt 4.53 or 4.54) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-236.shtml","ref":"ExGrib.Grib2.Section4.SoilTextureFraction.html","title":"ExGrib.Grib2.Section4.SoilTextureFraction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.SoilTextureFraction.html#get/1","title":"ExGrib.Grib2.Section4.SoilTextureFraction.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.SoilTextureFraction.html#t:id/0","title":"ExGrib.Grib2.Section4.SoilTextureFraction.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.SoilTextureFraction.html#t:t/0","title":"ExGrib.Grib2.Section4.SoilTextureFraction.t/0","type":"type"},{"doc":"Table 4.213 Soil type https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-213.shtml","ref":"ExGrib.Grib2.Section4.SoilType.html","title":"ExGrib.Grib2.Section4.SoilType","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.SoilType.html#get/1","title":"ExGrib.Grib2.Section4.SoilType.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.SoilType.html#t:id/0","title":"ExGrib.Grib2.Section4.SoilType.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.SoilType.html#t:t/0","title":"ExGrib.Grib2.Section4.SoilType.t/0","type":"type"},{"doc":"Template 4.0 Analysis or forecast at a horizontal level or in a horizontal layer at a point in time Notes: Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-0.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecast.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecast","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecast.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecast.get/1","type":"function"},{"doc":"Template 4.7 Analysis or forecast error at a horizontal levelor in a horizontal layer at a point in time Note:  (1) Hours greater than 65534 will be coded as 65534 (2) This template should not be used. Product definition template 4.0 should be used instead. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-7.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastError.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastError","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastError.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastError.get/1","type":"function"},{"doc":"Template 4.44 Analysis or forecast for aerosolntal level or ina horizontal layer at a point in time for aerosol Note: (1)  Hours greater than 65534 will be coded as 65534 (2)  It is recommended not to use this template. PDT 4.48 should be used instead with Optical Wave Length rang to set missing. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-44.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAerosol.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAerosol.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAerosol.get/1","type":"function"},{"doc":"Template 4.40 Analysis or forecast for atmospheric chemical constituentstal layerat a point in time for atmospheric chemical constituents Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-40.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituents.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituents","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituents.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituents.get/1","type":"function"},{"doc":"Template 4.57 Analysis or forecast for atmospheric chemical constituents based on a distribution functionatmospheric chemical constituents based on a distribution function Notes: If Number of mode (N) &gt; 1, then between x N fields with mode number I=1,...,N define the distribution function. x is number of variable parameters in the distribution function. Hours greater than 65534 will be coded as 65534 For more information, see Part B, GRIB Attachment III. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-57.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituentsBasedOnADistributionFunction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForAtmosphericChemicalConstituentsBasedOnADistributionFunction.get/1","type":"function"},{"doc":"Template 4.48 Analysis or forecast for optical properties of aerosolizontal layer at a point in time for optical properties of aerosol Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-48.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForOpticalPropertiesOfAerosol.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForOpticalPropertiesOfAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForOpticalPropertiesOfAerosol.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForOpticalPropertiesOfAerosol.get/1","type":"function"},{"doc":"Template 4.32 Analysis or forecast for simulatedal level or in a horizontal layer at a point in time for simulated (synthetic) satellite data Note : (1)  Instrument types code, a 16-bit value, stores the BUFR table 0 02 019 value, a 10-bit value, in the lowest ten bits.The upper three bits (bits 1-3) contain the polarization information, if known.The intervening three bits (4-6) are unused and set to 0.Bits 1-3 will have one of the following values:  8192 0 = 000 = unknown or missing  8192 1 = 001 = unpolarized  8192 2 = 010 = horizontal linear polarization  8192 3 = 011 = vertical linear polarization  8192 4 = 100 = right circular polarization  8192 5 = 101 = left circular polarization https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-32.shtml","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForSimulated.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForSimulated","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForSimulated.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForSimulated.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForSimulated.SpectralBand.html","title":"ExGrib.Grib2.Section4.Templates.AnalysisOrForecastForSimulated.SpectralBand","type":"module"},{"doc":"Template 4.8 Average accumulation at intervalseme values orother statistically-processed values at a horizontal level orin a horizontal layer in a continuous or non-continuous time interval Notes: (1) Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. (4) The reference and forecast times are successively set to their initial plus or minus the increment, as defined by the type of time increment (one of octets 48,60,72...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast time. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-8.shtml","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervals.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervals.TimeRangeSpecification.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervals.TimeRangeSpecification","type":"module"},{"doc":"Template 4.46 Average accumulation at intervals for aerosolor other statistically-processedvalues at a horizontal level or in a horizontal layer in a continuousor non-continuous time interval for aerosol Notes: (1)Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain guage. (4)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 51,63, 75 ...). For all but the innermost (last) time range, the next inner range is then precessed using these reference and forecast times as the initial reference and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-46.shtml","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAerosol.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAerosol.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAerosol.get/1","type":"function"},{"doc":"Template 4.42 Average accumulation at intervals for atmospheric chemical constituentscessedvalues at a horizontal level or in a horizontal layer in a continuous ornon-continuous time interval for atmospheric chemical constituents Notes: (1)   Hours greater than 65534 will be coded as 65534. (2)   The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3)   An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. (4)   The reference and forecast times are successively set to their initial plus or minus the increment, as defined by the type of time increment (one of octets 50,62,74...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-42.shtml","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituents.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituents","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituents.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituents.get/1","type":"function"},{"doc":"Template 4.67 Average accumulation at intervals for atmospheric chemical constituents based on a distribution functionel or in ahorizontal layer in a continuous or non-continuous time interval foratmospheric chemical constituents based on a distribution function Notes: If Number of mode (N) &gt; 1, then between X N fields with mode number I=1,...,N define the distribution function. X is number of variable parameters in the distribution function. For more information, see Part B, GRIB Attachment III. Hours greater than 65534 will be coded as 65534. The reference time in section 1 and the forecast time together define the beginning of the overall time interval. An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs, and the rainfall measured by a rain gauge. The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment. For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-67.shtml","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction.get/1","type":"function"},{"doc":"Template 4.62 Average accumulation at intervals for spatio temporal changing tilesprocessed values at a horizontal level or in a horizontal layer in a continuous or non-continuous time interval for spatio-temporal changing tiles at a horizontal level or horizontal layer at a point in time Notes: (1)See Note 1 under product definition template 4.55. (2)For more information, see Part B, GRIB Attachment IV. (3)Hours greater than 65534 will be coded as 65534. (4)The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (5)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. (6)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 54, 66, 78, ...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-62.shtml","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForSpatioTemporalChangingTiles.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForSpatioTemporalChangingTiles","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForSpatioTemporalChangingTiles.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationAtIntervalsForSpatioTemporalChangingTiles.get/1","type":"function"},{"doc":"Template 4.15 Average accumulation extreme values or other statistically processed values over values over a spatial areaea at horizontal level or in a horizontal layer at a point in time Notes: (1)   Hours greater than 65534 will be coded as 65534. (2)   The reference time in section 1 and the forecast time together define the beginning of the overall time interval. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-15.shtml","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationExtremeValuesOrOtherStatisticallyProcessedValuesOverValuesOverASpatialArea.html","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationExtremeValuesOrOtherStatisticallyProcessedValuesOverValuesOverASpatialArea","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.AverageAccumulationExtremeValuesOrOtherStatisticallyProcessedValuesOverValuesOverASpatialArea.html#get/1","title":"ExGrib.Grib2.Section4.Templates.AverageAccumulationExtremeValuesOrOtherStatisticallyProcessedValuesOverValuesOverASpatialArea.get/1","type":"function"},{"doc":"Template 4.51 Categorical forecasts at a horizontal levelor in a horizontal layer at a point in time Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-51.shtml","ref":"ExGrib.Grib2.Section4.Templates.CategoricalForecasts.html","title":"ExGrib.Grib2.Section4.Templates.CategoricalForecasts","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.CategoricalForecasts.html#get/1","title":"ExGrib.Grib2.Section4.Templates.CategoricalForecasts.get/1","type":"function"},{"doc":"Template 4.91 Categorical forecasts at intervalstal level or in a horizontallayer in a continuous or non continuous time interval Notes: (1) Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain guage. The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets (60+12(NC-1)), (73+12(NC-1)), (85+12(NC-1))...) For all but the innermost (last) time range, the next inner range is then precessed using these reference and forecast times as the initial reference and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-91.shtml","ref":"ExGrib.Grib2.Section4.Templates.CategoricalForecastsAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.CategoricalForecastsAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.CategoricalForecastsAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.CategoricalForecastsAtIntervals.get/1","type":"function"},{"doc":"Template 4.254 Ccitt ia5 character string WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-254.shtml","ref":"ExGrib.Grib2.Section4.Templates.CcittIa5CharacterString.html","title":"ExGrib.Grib2.Section4.Templates.CcittIa5CharacterString","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.CcittIa5CharacterString.html#get/1","title":"ExGrib.Grib2.Section4.Templates.CcittIa5CharacterString.get/1","type":"function"},{"doc":"Template 4.1000 Cross section of analysis and forecast at a point in time Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-1000.shtml","ref":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAtAPointInTime.html","title":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAtAPointInTime","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAtAPointInTime.html#get/1","title":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAtAPointInTime.get/1","type":"function"},{"doc":"Template 4.1002 Cross section of analysis and forecast averaged or otherwise statistically processed over latitude or longitudee Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-1002.shtml","ref":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAveragedOrOtherwiseStatisticallyProcessedOverLatitudeOrLongitude.html","title":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAveragedOrOtherwiseStatisticallyProcessedOverLatitudeOrLongitude","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAveragedOrOtherwiseStatisticallyProcessedOverLatitudeOrLongitude.html#get/1","title":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAnalysisAndForecastAveragedOrOtherwiseStatisticallyProcessedOverLatitudeOrLongitude.get/1","type":"function"},{"doc":"Template 4.1001 Cross section of averaged or otherwise statistically processed analysis or forecast over a range of time Notes: (1)Hours greater than 65534 will be coded as 65534. (2)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-1001.shtml","ref":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAveragedOrOtherwiseStatisticallyProcessedAnalysisOrForecastOverARangeOfTime.html","title":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAveragedOrOtherwiseStatisticallyProcessedAnalysisOrForecastOverARangeOfTime","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAveragedOrOtherwiseStatisticallyProcessedAnalysisOrForecastOverARangeOfTime.html#get/1","title":"ExGrib.Grib2.Section4.Templates.CrossSectionOfAveragedOrOtherwiseStatisticallyProcessedAnalysisOrForecastOverARangeOfTime.get/1","type":"function"},{"doc":"Template 4.2 Derived forecast based on all ensemble memberss at a horizontallevel or in a horizontal layer at a point in time Notes:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-2.shtml","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastBasedOnAllEnsembleMembers.html","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastBasedOnAllEnsembleMembers","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastBasedOnAllEnsembleMembers.html#get/1","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastBasedOnAllEnsembleMembers.get/1","type":"function"},{"doc":"Template 4.4 Derived forecasts based on a cluster of ensemble members over a circular area at a horizontal level or in a horizontal layer at a point in time Notes:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-4.shtml","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularArea.html","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularArea","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularArea.html#get/1","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularArea.get/1","type":"function"},{"doc":"Template 4.14 Derived forecasts based on a cluster of ensemble members over a circular area at intervalstal level or in a horizontallayer in a continuous or non-continuous time interval Notes: (1)Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. (4)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 78, 90, 112 ...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial references and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-14.shtml","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularAreaAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularAreaAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularAreaAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverACircularAreaAtIntervals.get/1","type":"function"},{"doc":"Template 4.3 Derived forecasts based on a cluster of ensemble members over a rectangular area at a horizontal level or in a horizontal layer at a point in time Notes:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-3.shtml","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularArea.html","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularArea","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularArea.html#get/1","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularArea.get/1","type":"function"},{"doc":"Template 4.13 Derived forecasts based on a cluster of ensemble members over a rectangular area at intervalstal level or in a horizontal layer in a continuous or non-continuous time interval Notes: (1)Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain guage. (4)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 82, 94, 106 ...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial references and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-13.shtml","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularAreaAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularAreaAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularAreaAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAClusterOfEnsembleMembersOverARectangularAreaAtIntervals.get/1","type":"function"},{"doc":"Template 4.12 Derived forecasts based on all ensemble members at intervalstal levelor in a horizontal layer in a continuous or non-continuous time interval Notes: (1)Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain guage. (4)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 50, 62, 74 ...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial references and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-12.shtml","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAllEnsembleMembersAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAllEnsembleMembersAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAllEnsembleMembersAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.DerivedForecastsBasedOnAllEnsembleMembersAtIntervals.get/1","type":"function"},{"doc":"Template 4.1101 Hovmoller type grid with averaging or other statistically processed Notes: (1)Hours greater than 65534 will be coded as 65534. (2)Reference = reference time (section 1) + range (PDT) + offset and increments from reference time (GDT). the beginning of the overall time interval. (3)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-1101.shtml","ref":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithAveragingOrOtherStatisticallyProcessed.html","title":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithAveragingOrOtherStatisticallyProcessed","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithAveragingOrOtherStatisticallyProcessed.html#get/1","title":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithAveragingOrOtherStatisticallyProcessed.get/1","type":"function"},{"doc":"Template 4.1100 Hovmoller type grid with no averaging or other statistically processed Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-1100.shtml","ref":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithNoAveragingOrOtherStatisticallyProcessed.html","title":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithNoAveragingOrOtherStatisticallyProcessed","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithNoAveragingOrOtherStatisticallyProcessed.html#get/1","title":"ExGrib.Grib2.Section4.Templates.HovmollerTypeGridWithNoAveragingOrOtherStatisticallyProcessed.get/1","type":"function"},{"doc":"Template 4.1 Individual ensemble forecast control and perturbedd, at a horizontallevel or in a horizontal layer at a point in time Notes:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-1.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbed.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbed","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbed.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbed.get/1","type":"function"},{"doc":"Template 4.11 Individual ensemble forecast control and perturbed at intervalsontallevel or in a horizontal layer in a continuous or non-continuous time interval Notes: (1)Hours greater than 65534 will be coded as 65534. (2)The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. (4)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 51,63,75...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-11.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervals.get/1","type":"function"},{"doc":"Template 4.47 Individual ensemble forecast control and perturbed at intervals for aerosolor in a horizontal layer in a continuous or non-continuous time interval for aerosol Notes: (1)Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain guage. The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 51,63, 75 ...). For all but the innermost (last) time range, the next inner range is then precessed using these reference and forecast times as the initial reference and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-47.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAerosol.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAerosol.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAerosol.get/1","type":"function"},{"doc":"Template 4.43 Individual ensemble forecast control and perturbed at intervals for atmospheric chemical constituentsn a continuous or non-continuous time interval for atmospheric chemical constituents Notes: (1)Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain guage. (4) The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 5i3, 65,77, ...). For all but the innermost (last) time range, the next inner range is then precessed using these reference and forecast times as the initial reference and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-43.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituents.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituents","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituents.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituents.get/1","type":"function"},{"doc":"Template 4.68 Individual ensemble forecast control and perturbed at intervals for atmospheric chemical constituents based on a distribution functiontime intervalfor atmospheric chemical constituents based on a distribution function Notes: If Number of mode (N) &gt; 1, then between X N fields with mode number I=1,...,N define the distribution function. X is number of variable parameters in the distribution function. For more information, see Part B, GRIB Attachment III. Hours greater than 65534 will be coded as 65534. The reference time in section 1 and the forecast time together define the beginning of the overall time interval. An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs, and the rainfall measured by a rain gauge. The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment. For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-68.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForAtmosphericChemicalConstituentsBasedOnADistributionFunction.get/1","type":"function"},{"doc":"Template 4.34 Individual ensemble forecast control and perturbed at intervals for simulatedr in a horizontal layer, in a continuous or non-continuous interval forsimulated (synthetic) satellite data WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-34.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSimulated.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSimulated","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSimulated.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSimulated.get/1","type":"function"},{"doc":"Template 4.63 Individual ensemble forecast control and perturbed at intervals for spatio temporal changing tileser in a continuous or non-continuous time interval for spatio-temporal changing tiles Notes: (1)See Note 1 under product definition template 4.55. (2)For more information, see Part B, GRIB Attachment IV. (3)Hours greater than 65534 will be coded as 65534. (4)The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (5)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. (6)The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 57, 69, 81,...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-63.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSpatioTemporalChangingTiles.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSpatioTemporalChangingTiles","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSpatioTemporalChangingTiles.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedAtIntervalsForSpatioTemporalChangingTiles.get/1","type":"function"},{"doc":"Template 4.45 Individual ensemble forecast control and perturbed for aerosolzontallevel or in a horizontal layer at a point in time for aerosol Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-45.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAerosol.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAerosol.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAerosol.get/1","type":"function"},{"doc":"Template 4.41 Individual ensemble forecast control and perturbed for atmospheric chemical constituentsontal layer at a point in time for atmospheric chemical constituents Notes:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-41.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAtmosphericChemicalConstituents.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAtmosphericChemicalConstituents","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAtmosphericChemicalConstituents.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForAtmosphericChemicalConstituents.get/1","type":"function"},{"doc":"Template 4.49 Individual ensemble forecast control and perturbed for optical properties of aerosol for optical properties of aerosolme for optical properties of aerosolfor optical properties of aerosol Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-49.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForOpticalPropertiesOfAerosolForOpticalPropertiesOfAerosol.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForOpticalPropertiesOfAerosolForOpticalPropertiesOfAerosol","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForOpticalPropertiesOfAerosolForOpticalPropertiesOfAerosol.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForOpticalPropertiesOfAerosolForOpticalPropertiesOfAerosol.get/1","type":"function"},{"doc":"Template 4.54 Individual ensemble forecast control and perturbed for partitioned parametersr in a horizontal layer at a point in time for partitioned parameters Notes: (1) A single partition with code value PN from the partition set composed by the NP partitions is represented in the template.The code values of the NP partitions are expressed in octets 14 to 14+2NP-1.The NP partitions are linked by the normalization formula stating the sum of all the NP partitions must be equal to a normalization term (N) on each point of the grid. (2) Only parameters expressing fractions or percentages can be used in this template. Code tables shall state clearly that they are meant to be used in partitioned parameters context. (3) The word &quot;fraction&quot; or the word &quot;percentage&quot; has to be explicitly used in the name of the parameter to refer to a normalization term N=1 in the case of &quot;fraction&quot; and N=100 in the case of percentage. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-54.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForPartitionedParameters.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForPartitionedParameters","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForPartitionedParameters.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForPartitionedParameters.get/1","type":"function"},{"doc":"Template 4.33 Individual ensemble forecast control and perturbed for simulatedntal level or in a horizontal layer at a point in time for simulated (synthetic) satellite data Note : (1)  Instrument types code, a 16-bit value, stores the BUFR table 0 02 019 value, a 10-bit value, in the lowest ten bits.The upper three bits (bits 1-3) contain the polarization information, if known.The intervening three bits (4-6) are unused and set to 0.Bits 1-3 will have one of the following values:  8192 0 = 000 = unknown or missing  8192 1 = 001 = unpolarized  8192 2 = 010 = horizontal linear polarization  8192 3 = 011 = vertical linear polarization  8192 4 = 100 = right circular polarization  8192 5 = 101 = left circular polarization WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-33.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForSimulated.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForSimulated","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForSimulated.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedForSimulated.get/1","type":"function"},{"doc":"Template 4.58 Individual ensemble forecast control and perturbed interval for atmospheric chemical constituents based on a distribution functionoratmospheric chemical constituents based on a distribution function Notes: If Number of mode (N) &gt; 1, then between X N fields with mode number I=1,...,N define the distribution function. X is number of variable parameters in the distribution function. Hours greater than 65534 will be coded as 65534 For more information, see Part B, GRIB Attachment III. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-58.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForAtmosphericChemicalConstituentsBasedOnADistributionFunction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForAtmosphericChemicalConstituentsBasedOnADistributionFunction.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForAtmosphericChemicalConstituentsBasedOnADistributionFunction.get/1","type":"function"},{"doc":"Template 4.56 Individual ensemble forecast control and perturbed interval for spatio temporal changing tile parametersa point in time interval for spatio-temporal changing tile parameters Notes: (1)   NUT is the number of used different spatial tiles, defining the cover structure of point. As each of these tiles has one or more different tile attributesA(NAT(ITN)), where (ITN=1,...,NUT), for example, (unmodified, snow-covered,...), there are NT=∑ITN=1NUT NAT(ITN) fields (that is, the total number of tile attribute pairs, defined in (octet 13) with indices (ITN,IAN) with the following meaning (IAN={1,...,ITN)}):     1,1                                    First tile - first attribute (e.g. unmodified) attribute     ...                           ...     1,NAT(1)                         First tile - NAT of first tile (last, e.g. snow-covered) attribute     2,1                                    Second tile - first attribute (e.g. unmodified)     ...                          ...     2,NAT(2)                         Second tile - NAT of second tile (last, e.g. snow-covered) attribute     ...                          ...     ...                          ...     NUT,1                             NUT tile - first attribute (e.g. unmodified)     ...                          ...     NUT,NAT(NUT)          NUT tile - NAT of last attribute (last) attribute A single tile attribute index (ITN,IAN) with spatial tile index ITN(1,...,NUT) and attribute A(IAN) with (IAN=1,...,NAT(ITN)) is represented in the template. All NT partitions are linked by the normalization formula, which states that the sum of all partions must be equal to normalization term (N=1 for fractions and N = 100 for percentage) on each point of the grid. The fields &quot;tile class&quot; and &quot;tile fraction&quot; must be provided in order to obtain the tile structure of each grid point. Please note that the field &quot;tile fraction&quot; is time-dependent in the case of defined attribute, whereas the field &quot;tile class&quot; is not affected by attribute (NT=NUT). (2)   For more informtion, see Part B, GRIB Attachment IV. (3)   Hours greater than 65534 will be coded as 65534. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-56.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParameters.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParameters","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParameters.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParameters.get/1","type":"function"},{"doc":"Template 4.59 Individual ensemble forecast control and perturbed interval for spatio temporal changing tile parameters deprecated point in time interval for spatio-temporal changing tile parameters Notes: (1)   The number of used tiles (NUT) is the number of used different spatial tiles, defining the cover structure of point. As each of these tiles has one or more different tile attributes A(NAT(ITN)), where (ITN=1,...,NUT), for example, (unmodified, snow-covered,...), there are NT=∑ITN=1NUT NAT(ITN) fields (that is, the total number of tile attribute pairs, defined in (octet 13) with indices (ITN,IAN) with the following meaning (IAN={1,...,ITN)}):     1,1                                    First tile - first attribute (e.g. unmodified) attribute     ...                           ...     1,NAT(1)                         First tile - NAT of first tile (last, e.g. snow-covered) attribute     2,1                                    Second tile - first attribute (e.g. unmodified)     ...                          ...     2,NAT(2)                         Second tile - NAT of second tile (last, e.g. snow-covered) attribute     ...                          ...     ...                          ...     NUT,1                             NUT tile - first attribute (e.g. unmodified)     ...                          ...     NUT,NAT(NUT)          NUT tile - NAT of last attribute (last) attribute A single tile attribute index (ITN,IAN) with spatial tile index ITN(1,...,NUT) and attribute A(IAN) with (IAN=1,...,NAT(ITN)) is represented in the template. All NT partitions are linked by the normalization formula, which states that the sum of all partions must be equal to normalization term (N=1 for fractions and N = 100 for percentage) on each point of the grid. The fields &quot;tile class&quot; and &quot;tile fraction&quot; must be provided in order to obtain the tile structure of each grid point. Please note that the field &quot;tile fraction&quot; is time-dependent in the case of defined attribute, whereas the field &quot;tile class&quot; is not affected by attribute (NT=NUT). (2)   For more informtion, see Part B, GRIB Attachment IV. (3)   Hours greater than 65534 will be coded as 65534. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-59.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParametersDeprecated.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParametersDeprecated","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParametersDeprecated.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleForecastControlAndPerturbedIntervalForSpatioTemporalChangingTileParametersDeprecated.get/1","type":"function"},{"doc":"Template 4.60 Individual ensemble reforecast control and perturbedd, ata horizontal level or in a horizontal layer at a point in time Notes:   1. Hours greater than 65534 will be coded as 65534   2. This is the date when the reforecast is produced with a particular version of the model. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-60.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbed.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbed","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbed.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbed.get/1","type":"function"},{"doc":"Template 4.61 Individual ensemble reforecast control and perturbed at intervalsontallevel or in a horizontal layer in a continuous or non-continuous time interval Notes: (1) Hours greater than 65534 will be coded as 65534. (2) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3) This is the date when the reforecast is produced with a particular version of the model. (4) An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are The temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a raingauge. (5) The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 51,63,75...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-61.shtml","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbedAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbedAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbedAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.IndividualEnsembleReforecastControlAndPerturbedAtIntervals.get/1","type":"function"},{"doc":"Template 4.53 Partitioned parameters at a horizontal levelor horizontal layer at a point in time Notes: (1) A single partition with code value PN from the partition set composed by the NP partitions is represented in the template.The code values of the NP partitions are expressed in octets 14 to 14+2NP-1.The NP partitions are linked by the normalization formula stating the sum of all the NP partitions must be equal to a normalization term (N) on each point of the grid. (2) Only parameters expressing fractions or percentages can be used in this template. Code tables shall state clearly that they are meant to be used in partitioned parameters context. (3) The word &quot;fraction&quot; or the word &quot;percentage&quot; has to be explicitly used in the name of the parameter to refer to a normalization term N=1 in the case of &quot;fraction&quot; and N=100 in the case of percentage. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-53.shtml","ref":"ExGrib.Grib2.Section4.Templates.PartitionedParameters.html","title":"ExGrib.Grib2.Section4.Templates.PartitionedParameters","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PartitionedParameters.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PartitionedParameters.get/1","type":"function"},{"doc":"Template 4.6 Percentile forecasts at a horizontal lelevel or in a horizontal layer at a point in time Note:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-6.shtml","ref":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtAHorizontalLelevelOrInAHorizontalLayerAtAPointInTime.html","title":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtAHorizontalLelevelOrInAHorizontalLayerAtAPointInTime","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtAHorizontalLelevelOrInAHorizontalLayerAtAPointInTime.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtAHorizontalLelevelOrInAHorizontalLayerAtAPointInTime.get/1","type":"function"},{"doc":"Template 4.10 Percentile forecasts at intervalstal level or in a horizontallayer in a continuous or non-continuous time interval Notes: (1)Hours greater than 65534 will be coded as 65534. (2)The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-10.shtml","ref":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PercentileForecastsAtIntervals.get/1","type":"function"},{"doc":"Template 4.70 Post processing analysis or forecast at a horizontal level or in a horizontal layer at a point in time Note:  (1) The input process identifier shall have the value of the “analysis or forecast process identifier” of the original GRIB message used as input of the post-processing. (2) The input originating centre shall have the value of the “originating centre” of the original GRIB message used as input of the post-processing. (3) This identifies which post-processing technique was used. This is defined by the originating centre. (4) Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-70.shtml","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingAnalysisOrForecast.html","title":"ExGrib.Grib2.Section4.Templates.PostProcessingAnalysisOrForecast","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingAnalysisOrForecast.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PostProcessingAnalysisOrForecast.get/1","type":"function"},{"doc":"Template 4.72 Post processing average accumulation extreme values at intervalsstatistically processed values at a horizontal level or in a horizontal layer in a continuous or non-continuous time interval Note:  (1) The input process identifier shall have the value of the “analysis or forecast process identifier” of the original GRIB message used as input of the post-processing. (2) The input originating centre shall have the value of the “originating centre” of the original GRIB message used as input of the post-processing. (3) This identifies which post-processing technique was used. This is defined by the originating centre. (4) Hours greater than 65534 will be coded as 65534. (5) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (6) An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs, and the rainfall measured by a rain gauge. (7) The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 63, 65, 77, ...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-72.shtml","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingAverageAccumulationExtremeValuesAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.PostProcessingAverageAccumulationExtremeValuesAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingAverageAccumulationExtremeValuesAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PostProcessingAverageAccumulationExtremeValuesAtIntervals.get/1","type":"function"},{"doc":"Template 4.71 Post processing individual ensemble forecast control and perturbeded, at a horizontal level or in a horizontal layer at a point in time Note:  (1) The input process identifier shall have the value of the “analysis or forecast process identifier” of the original GRIB message used as input of the post-processing. (2) The input originating centre shall have the value of the “originating centre” of the original GRIB message used as input of the post-processing. (3) This identifies which post-processing technique was used. This is defined by the originating centre. (4) Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-71.shtml","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbed.html","title":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbed","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbed.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbed.get/1","type":"function"},{"doc":"Template 4.73 Post processing individual ensemble forecast control and perturbed at intervalsontal level or in a horizontal layer in a continuous or non-continuous time interval Note:  (1) The input process identifier shall have the value of the “analysis or forecast process identifier” of the original GRIB message used as input of the post-processing. (2) The input originating centre shall have the value of the “originating centre” of the original GRIB message used as input of the post-processing. (3) This identifies which post-processing technique was used. This is defined by the originating centre. (4) Hours greater than 65534 will be coded as 65534. (5) The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (6) An increment of zero means that the statistical processing is the result of a continuous (or near continuous) process, not the processingeof a number of discrete samples. Examples of such continuous processes are the temperatures measured by analogue maximum and minimum thermometers or thermographs, and the rainfall measured by a rain gauge. (7) The reference and forecast times are successively set to their initial values plus or minus the increment, as defined by the type of time increment (one of octets 56, 68, 80, ...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast times. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-73.shtml","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbedAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbedAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbedAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.PostProcessingIndividualEnsembleForecastControlAndPerturbedAtIntervals.get/1","type":"function"},{"doc":"Template 4.5 Probability forecasts at a horizontal levelor in a horizontal layer at a point in time Notes:  Hours greater than 65534 will be coded as 65534 WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-5.shtml","ref":"ExGrib.Grib2.Section4.Templates.ProbabilityForecasts.html","title":"ExGrib.Grib2.Section4.Templates.ProbabilityForecasts","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.ProbabilityForecasts.html#get/1","title":"ExGrib.Grib2.Section4.Templates.ProbabilityForecasts.get/1","type":"function"},{"doc":"Template 4.9 Probability forecasts at intervalstal level or in a horizontallayer in a continuous or non-continuous time interval Notes: (1)Hours greater than 65534 will be coded as 65534. (2)The reference time in section 1 and the forecast time together define the beginning of the overall time interval. (3)An increment of zero means that the statistical processing the result of continuous (or near continuous) process, not the processing of a number of discrete samples. Examples of such continuous process are the temperatures measured by analogue maximum and minimum thermometers or thermographs and the rainfall measured by a rain gauge. The reference and forecast times are successively set to their initial plus or minus the increment, as defined by the type of time increment (one of octets 48,60,72...). For all but the innermost (last) time range, the next inner range is then processed using these reference and forecast times as the initial reference and forecast time. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-9.shtml","ref":"ExGrib.Grib2.Section4.Templates.ProbabilityForecastsAtIntervals.html","title":"ExGrib.Grib2.Section4.Templates.ProbabilityForecastsAtIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.ProbabilityForecastsAtIntervals.html#get/1","title":"ExGrib.Grib2.Section4.Templates.ProbabilityForecastsAtIntervals.get/1","type":"function"},{"doc":"Template 4.20 Radar product WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-20.shtml","ref":"ExGrib.Grib2.Section4.Templates.RadarProduct.html","title":"ExGrib.Grib2.Section4.Templates.RadarProduct","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.RadarProduct.html#get/1","title":"ExGrib.Grib2.Section4.Templates.RadarProduct.get/1","type":"function"},{"doc":"Template 4.31 Satellite product 15 - Repeat the following 11 octets for each contributing band (nb = 1,NB) (15+11(nb-1)) - (16+11(nb-1)) Satellite series of band nb (code table defined by originating/generating centre) (17+11(nb-1)) - (18+11(nb-1)) Satellite series of band nb (code table defined by originating/generating centre) (19+11(nb-1)) - (20+11(nb-1)) Instrument types of band nb (code table defined by originating/generating centre) (21 +11(nb-1)) Scale factor of central wave number of band nb (22+11(nb-1)) - (25+11(nb-1))Scaled value of central wave number of band nb (units: m-1) WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-31.shtml","ref":"ExGrib.Grib2.Section4.Templates.SatelliteProduct.html","title":"ExGrib.Grib2.Section4.Templates.SatelliteProduct","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.SatelliteProduct.html#get/1","title":"ExGrib.Grib2.Section4.Templates.SatelliteProduct.get/1","type":"function"},{"doc":"Template 4.30 Satellite product deprecated 15 - Repeat the following 10 octets for each contributing band (nb = 1,NB) (15+10(nb-1)) - (16+10(nb-1)) Satellite series of band nb (code table defined by originating/generating centre) (17+10(nb-1)) - (18+10(nb-1)) Satellite series of band nb (code table defined by originating/generating centre) (19+10(nb-1)) Instrument types of band nb (code table defined by originating/generating centre) (20 +10(nb-1)) Scale factor of central wave number of band nb (21+10(nb-1)) - (24+10(nb-1)) Scaled value of central wave number of band nb (units:m-1) WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-30.shtml","ref":"ExGrib.Grib2.Section4.Templates.SatelliteProductDeprecated.html","title":"ExGrib.Grib2.Section4.Templates.SatelliteProductDeprecated","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.SatelliteProductDeprecated.html#get/1","title":"ExGrib.Grib2.Section4.Templates.SatelliteProductDeprecated.get/1","type":"function"},{"doc":"Template 4.35 Satellite product with or without associated quality values Note : For “satellite series of band nb”, “satellite numbers of band nb” and “instrument types of band nb”, it is recommended to encode the values as per BUFR Code tables 0 02 020, 0 01 007 (Common Code table C–5) and 0 02 019 (Common Code table C–8), respectively. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-35.shtml","ref":"ExGrib.Grib2.Section4.Templates.SatelliteProductWithOrWithoutAssociatedQualityValues.html","title":"ExGrib.Grib2.Section4.Templates.SatelliteProductWithOrWithoutAssociatedQualityValues","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.SatelliteProductWithOrWithoutAssociatedQualityValues.html#get/1","title":"ExGrib.Grib2.Section4.Templates.SatelliteProductWithOrWithoutAssociatedQualityValues.get/1","type":"function"},{"doc":"Template 4.55 Spatio temporal changing tilesat a horizontal level or horizontal layer at a point in time Notes: (1)   NUT is the number of used different spatial tiles, defining the cover structure of point. As each of these tiles has one or more different tile attributesA(NAT(ITN)), where (ITN=1,...,NUT), for example, (unmodified, snow-covered,...), there are NT=∑ITN=1NUT NAT(ITN) fields (that is, the total number of tile attribute pairs, defined in (octet 13) with indices (ITN,IAN) with the following meaning (IAN={1,...,ITN)}):     1,1                                    First tile - first attribute (e.g. unmodified) attribute     ...                           ...     1,NAT(1)                         First tile - NAT of first tile (last, e.g. snow-covered) attribute     2,1                                    Second tile - first attribute (e.g. unmodified)     ...                          ...     2,NAT(2)                         Second tile - NAT of second tile (last, e.g. snow-covered) attribute     ...                          ...     ...                          ...     NUT,1                             NUT tile - first attribute (e.g. unmodified)     ...                          ...     NUT,NAT(NUT)          NUT tile - NAT of last attribute (last) attribute A single tile attribute index (ITN,IAN) with spatial tile index ITN(1,...,NUT) and attribute A(IAN) with (IAN=1,...,NAT(ITN)) is represented in the template. All NT partitions are linked by the normalization formula, which states that the sum of all partions must be equal to normalization term (N=1 for fractions and N = 100 for percentage) on each point of the grid. The fields &quot;tile class&quot; and &quot;tile fraction&quot; must be provided in order to obtain the tile structure of each grid point. Please note that the field &quot;tile fraction&quot; is time-dependent in the case of defined attribute, whereas the field &quot;tile class&quot; is not affected by attribute (NT=NUT). (2)   For more informtion, see Part B, GRIB Attachment IV. (3)   Hours greater than 65534 will be coded as 65534. WARNING THIS TEMPLATE WAS AUTOGENERATED AND IS LIKELY INCOMPLETE https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp4-55.shtml","ref":"ExGrib.Grib2.Section4.Templates.SpatioTemporalChangingTiles.html","title":"ExGrib.Grib2.Section4.Templates.SpatioTemporalChangingTiles","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Templates.SpatioTemporalChangingTiles.html#get/1","title":"ExGrib.Grib2.Section4.Templates.SpatioTemporalChangingTiles.get/1","type":"function"},{"doc":"Table 4.204 Thunderstorm coverage https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-204.shtml","ref":"ExGrib.Grib2.Section4.ThunderstormCoverage.html","title":"ExGrib.Grib2.Section4.ThunderstormCoverage","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.ThunderstormCoverage.html#get/1","title":"ExGrib.Grib2.Section4.ThunderstormCoverage.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.ThunderstormCoverage.html#t:id/0","title":"ExGrib.Grib2.Section4.ThunderstormCoverage.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.ThunderstormCoverage.html#t:t/0","title":"ExGrib.Grib2.Section4.ThunderstormCoverage.t/0","type":"type"},{"doc":"Table 4.243 Tile class https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-243.shtml","ref":"ExGrib.Grib2.Section4.TileClass.html","title":"ExGrib.Grib2.Section4.TileClass","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TileClass.html#get/1","title":"ExGrib.Grib2.Section4.TileClass.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TileClass.html#t:id/0","title":"ExGrib.Grib2.Section4.TileClass.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TileClass.html#t:t/0","title":"ExGrib.Grib2.Section4.TileClass.t/0","type":"type"},{"doc":"Table 4.242 Tile classification https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-242.shtml","ref":"ExGrib.Grib2.Section4.TileClassification.html","title":"ExGrib.Grib2.Section4.TileClassification","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TileClassification.html#get/1","title":"ExGrib.Grib2.Section4.TileClassification.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TileClassification.html#t:id/0","title":"ExGrib.Grib2.Section4.TileClassification.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TileClassification.html#t:t/0","title":"ExGrib.Grib2.Section4.TileClassification.t/0","type":"type"},{"doc":"Table 4.221 Treatment of missing data https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-221.shtml","ref":"ExGrib.Grib2.Section4.TreatmentOfMissingData.html","title":"ExGrib.Grib2.Section4.TreatmentOfMissingData","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TreatmentOfMissingData.html#get/1","title":"ExGrib.Grib2.Section4.TreatmentOfMissingData.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TreatmentOfMissingData.html#t:id/0","title":"ExGrib.Grib2.Section4.TreatmentOfMissingData.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TreatmentOfMissingData.html#t:t/0","title":"ExGrib.Grib2.Section4.TreatmentOfMissingData.t/0","type":"type"},{"doc":"Table 4.208 Turbulence https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-208.shtml","ref":"ExGrib.Grib2.Section4.Turbulence.html","title":"ExGrib.Grib2.Section4.Turbulence","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Turbulence.html#get/1","title":"ExGrib.Grib2.Section4.Turbulence.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.Turbulence.html#t:id/0","title":"ExGrib.Grib2.Section4.Turbulence.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.Turbulence.html#t:t/0","title":"ExGrib.Grib2.Section4.Turbulence.t/0","type":"type"},{"doc":"Table 4.240 Type of distribution function Notes: (1) Bin-Model or delta function with N concentration cl(r) in class (or mode) l. Concentration-density function: ƒ ( r ; d ) = ∑ l = 1 N cl ( r ) δ ( d - Dl ) Where: N - number of modes in the distribution δ - delta - Function d - diameter Dl - diameter of mode l ( p1 ) i (2) Bin-Model or delta function with N concentration cl(r) in class (or mode) l. Concentration-density function: ƒ ( r ; m ) = ∑ l = 1 N cl ( r ) δ ( m - Ml ) Where: N - number of modes in the distribution δ - delta - Function m - mass Ml - mass of mode ( p1 ) (3) N-Modal concentration-density function consisting of Gaussian-functions: Concentration-density function: ƒ ( r ; d ) = ∑ l = 1 N cl ( r ) 1 / √   2 πδl   * e - ( ( d - Dl ) / δl ) 2 Where: N - number of modes in the distribution d - diameter Dl - mean diameter of mode l ( p1 ) δl - Variance of Mode l ( ( p2 ) with N fields of concentration cl(r) (4) N-Modal concentration-density function consisting of Gaussian-functions: Concentration-density function: ƒ ( r ; d ) = ∑ l = 1 Ncl ( r ) 1 / √   2 πδl ( r )   * e - ( ( d - Dl ) ( r ) / δl ( r ) ) 2 Where: N - fields of concentration cl ( r ) δl ( r ) - Variance Dl ( r ) - mean diameter https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-240.shtml","ref":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.html","title":"ExGrib.Grib2.Section4.TypeOfDistributionFunction","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfDistributionFunction.t/0","type":"type"},{"doc":"Table 4.6 Type of ensemble forecast https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-6.shtml","ref":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.html","title":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfEnsembleForecast.t/0","type":"type"},{"doc":"Table 4.3 Type of generating process Notes: 1. Code figures 12 and 13 are intended in cases where code figures 0 and 2 may not be sufficient to indicate that significant post-processing has taken place on an intial analysis or forecast output. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-3.shtml","ref":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.html","title":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfGeneratingProcess.t/0","type":"type"},{"doc":"Table 4.91 Type of interval https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-91.shtml","ref":"ExGrib.Grib2.Section4.TypeOfInterval.html","title":"ExGrib.Grib2.Section4.TypeOfInterval","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfInterval.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfInterval.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfInterval.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfInterval.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfInterval.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfInterval.t/0","type":"type"},{"doc":"Table 4.15 Type of spatial processing used to arrive at a given data value from the source data Notes: (1) This method assumes that each field really represents box averages/maxima/minima where each box extends halfway to its neighboring grid point in each direction to represent averages/maxima/minima of values from the source grid with no interpolation. (2) Budget interpolation means a low-order interpolation method that quasi-conserves are a averages. It would be appropriate for interpolating budget fields such as precipitation. This method assumes that ithe field really represents box averages/maxima/minima where each box extends halfway to its neighboring grid point in each direction. The method actually averages bilinearly interpolated values in a square array of points distributed within each output grid box. (3) Performs a budget interpolation at the grid point nearest to the nominal grid point. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-15.shtml","ref":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.html","title":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfSpatialProcessingUsedToArriveAtAGivenDataValueFromTheSourceData.t/0","type":"type"},{"doc":"Table 4.10 Type of statistical processing Notes: The original data value (Y in the note 4 of regulation 92.9.4) has units of Code table 4.2 multiplied by second, unless otherwise noted on Code table 4.2. 2.  The original data value has squared units of Code table 4.2. 3.  The original data value is non-dimensional number without units. 4.  The original data value is non-dimensional number from 0 to 1, where 0 indicates no confidence and 1 indicates maximal confidence. 5.  The original data value is defined by Code Table 4.244. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-10.shtml","ref":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.html","title":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfStatisticalProcessing.t/0","type":"type"},{"doc":"Table 4.11 Type of time intervals Notes: 1. Code figure 5 applies to instances where a single time subinterval was used to calculate the statistically processed field. The exact starting and ending times of the subinterval are not given, but it is known that itb is contained inclusively between the beginning time and the ending time of the overall interval. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-11.shtml","ref":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.html","title":"ExGrib.Grib2.Section4.TypeOfTimeIntervals","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.html#get/1","title":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.html#t:id/0","title":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.html#t:t/0","title":"ExGrib.Grib2.Section4.TypeOfTimeIntervals.t/0","type":"type"},{"doc":"Table 4.206 Volcanic ash https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-206.shtml","ref":"ExGrib.Grib2.Section4.VolcanicAsh.html","title":"ExGrib.Grib2.Section4.VolcanicAsh","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.VolcanicAsh.html#get/1","title":"ExGrib.Grib2.Section4.VolcanicAsh.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.VolcanicAsh.html#t:id/0","title":"ExGrib.Grib2.Section4.VolcanicAsh.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.VolcanicAsh.html#t:t/0","title":"ExGrib.Grib2.Section4.VolcanicAsh.t/0","type":"type"},{"doc":"Table 4.225 Weather, see: FM 94 BUFR/FM 95 CREX Code table 0 20 003 - Present Weather https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/WMO306_vI2_BUFRCREX_TableB_en_v23.0.0.pdf (Released date: Version 23.0.0 - May 15, 2019) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-225.shtml","ref":"ExGrib.Grib2.Section4.Weather.html","title":"ExGrib.Grib2.Section4.Weather","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.Weather.html#get/1","title":"ExGrib.Grib2.Section4.Weather.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.Weather.html#t:id/0","title":"ExGrib.Grib2.Section4.Weather.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.Weather.html#t:t/0","title":"ExGrib.Grib2.Section4.Weather.t/0","type":"type"},{"doc":"Table 4.235 Wind generated wave spectral description https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table4-235.shtml","ref":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.html","title":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.html#get/1","title":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.html#t:id/0","title":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.html#t:t/0","title":"ExGrib.Grib2.Section4.WindGeneratedWaveSpectralDescription.t/0","type":"type"},{"doc":"Section 5 Data representation section https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect5.shtml","ref":"ExGrib.Grib2.Section5.html","title":"ExGrib.Grib2.Section5","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.html#parse/1","title":"ExGrib.Grib2.Section5.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.html#t:input/0","title":"ExGrib.Grib2.Section5.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.html#t:section/0","title":"ExGrib.Grib2.Section5.section/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.html#t:t/0","title":"ExGrib.Grib2.Section5.t/0","type":"type"},{"doc":"Table 5.0 Data representation template number https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-0.shtml","ref":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.html","title":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.html#get/1","title":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.html#t:id/0","title":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.html#t:t/0","title":"ExGrib.Grib2.Section5.DataRepresentationTemplateNumber.t/0","type":"type"},{"doc":"Table 5.4 Group splitting method https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-4.shtml","ref":"ExGrib.Grib2.Section5.GroupSplittingMethod.html","title":"ExGrib.Grib2.Section5.GroupSplittingMethod","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.GroupSplittingMethod.html#get/1","title":"ExGrib.Grib2.Section5.GroupSplittingMethod.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.GroupSplittingMethod.html#t:id/0","title":"ExGrib.Grib2.Section5.GroupSplittingMethod.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.GroupSplittingMethod.html#t:t/0","title":"ExGrib.Grib2.Section5.GroupSplittingMethod.t/0","type":"type"},{"doc":"Table 5.3 Matrix coordinate parameter https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-3.shtml","ref":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.html","title":"ExGrib.Grib2.Section5.MatrixCoordinateParameter","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.html#get/1","title":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.html#t:id/0","title":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.html#t:t/0","title":"ExGrib.Grib2.Section5.MatrixCoordinateParameter.t/0","type":"type"},{"doc":"Table 5.2 Matrix coordinate value function definition https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-2.shtml","ref":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.html","title":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.html#get/1","title":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.html#t:id/0","title":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.html#t:t/0","title":"ExGrib.Grib2.Section5.MatrixCoordinateValueFunctionDefinition.t/0","type":"type"},{"doc":"Table 5.5 Missing value management for complex packing https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-5.shtml","ref":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.html","title":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.html#get/1","title":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.html#t:id/0","title":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.html#t:t/0","title":"ExGrib.Grib2.Section5.MissingValueManagementForComplexPacking.t/0","type":"type"},{"doc":"Table 5.6 Order of spatial differencing https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-6.shtml","ref":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.html","title":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.html#get/1","title":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.html#t:id/0","title":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.html#t:t/0","title":"ExGrib.Grib2.Section5.OrderOfSpatialDifferencing.t/0","type":"type"},{"doc":"Table 5.7 Precision of floating point numbers https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-7.shtml","ref":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.html","title":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.html#get/1","title":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.html#t:id/0","title":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.html#t:t/0","title":"ExGrib.Grib2.Section5.PrecisionOfFloatingPointNumbers.t/0","type":"type"},{"doc":"Template 5.2 Grid point data complex packingng Notes: (1) Group lengths have no meaning for row by row packing, where groups are coordinate lines (so th grid description section and possibly the bit-map section are enough); for consistency, associated field width and reference should then be encoded as 0. (2) For row by row packing with a bit-map, there should always be as many groups as rows. In case of rows with only missing values, all associated descriptors should be coded as zero. (3) Management of widths into a reference and increments, together with management of lengths as scaled incremental values, are intended to save descriptor size (which is an issue as far as compression gains are concerned). (4) Management of explicitly missing values is an alternate to bit-map use within Section 6; it is intended to reduce the whole GRIB message size. (5) There may be two types of missing value(s), such as to make a distinction between static misses (for instance, due to a land/sea mask) and occasional misses. (6) As an extra option, substitute value(s) for missing data may be specified. If not wished (or not applicable), all bits should be set to 1 for relevant substitute value(s). (7) If substitute value(s) are specified, type of content should be consistent with appropriate group with original field values (floating-point ― and then IEEE 32-bit encoded-, or integer). (8) If secondary missing values are used, such values are encoded within appropriate group with all bits set to 1 at packed data level. (9) If secondary missing values are used, such values are encoded within appropriate group with all bits set to 1, except the last one set to 0, at packed data level. (10) A group containing only missing values (of either type) will be encoded as a constant group (null width, no associate data) and the group reference will have all bits set to 1 for primary type, and all bits set to 1, except the last bit set to 0, for secondary type. (11) If necessary, group widths and/or field width of group references may be enlarged to avoid ambiguities between missing value indicator(s) and true data. (12) The group width is the number of bits used for every value in a group. (13) The group length (L) is the number of values in a group. (14) The essence of the complex packing method is to subdivide a field of values into NG groups, where the values in each group have similar sizes. In this procedure, it is necessary to retain enough information to recover the group lengths upon decoding. The NG group lengths for any given field can be described by Ln = ref + Kn x len_inc, n = 1,NG, where ref is given by octets 38 - 41 and len_inc by octet 42. The NG values of K (the scaled group lengths) are stored in the data section, each with the number of bits specified by octet 47. Since the last group is a special case which may not be able to be specified by this relationship, the length of the last group is stored in octets 43-46. (15) See data template 7.2 and associated notes for complementary information. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-2.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPacking.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPacking.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPacking.get/1","type":"function"},{"doc":"Template 5.3 Grid point data complex packing and spatial differencingng Notes: (1) Spatial differencing is a pre-processing before group splitting at encoding time. It is intended to reduce the size of sufficiently smooth fields, when combined with a splitting scheme as described in data representation template 5.2. At order 1, an initial field of values f is replaced by a new field of values g, where g1 = f1, g2 = f2, ..., gn = fn - fn-1. At order 2, the field of values g is itself replaced by a new field of values h, where h1 = f1, h2 = f2 , h3 = g3- g2, ..., hn =gn - gn - 1. To keep values positive, the overall minimum of the resulting field (either gmin or hmin) is removed. At decoding time, after bit string unpacking, the original scaled values are recovered by adding the overall minimum and summing up recursively. (2) For differencing of order n, the first n values in the array that are not missing are set to zero in the packed array. These dummy values are not used in unpacking. (3) See data template 7.3 and associated notes for complementary information. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-3.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPackingAndSpatialDifferencing.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPackingAndSpatialDifferencing","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPackingAndSpatialDifferencing.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataComplexPackingAndSpatialDifferencing.get/1","type":"function"},{"doc":"Template 5.4 Grid point data ieee floating point data https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-4.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataIeeeFloatingPointData.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataIeeeFloatingPointData","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataIeeeFloatingPointData.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataIeeeFloatingPointData.get/1","type":"function"},{"doc":"Template 5.40 Grid point data jpeg 2000 code stream formatat Notes: (1) The intent of this template is to scale the grid point data to obtain desired precision, if appropriate, and then subtract out reference value from the scaled field as is done using Data Representation Template 5.0. After this, the resulting grid point field can be treated as a grayscale image and is then encoded into the JPEG 2000 code stream format.To unpack the data field, the JPEG 2000 code stream is decoded back into an image, and the original field is obtained from the image data as described in regulation 92.9.4, Note (4). (2) The JPEG 2000 standared specifies that the bit-depth must be in the range of 1 to 38 bits. (3) The compression ratio M:1 (e.g. 20:1) specifies that the encoded stream should be less than ((1/M) x depth x number of data points) bits, where depth is specified in octet 20 and number of data points is specified in octets 6-9 of the Data Representation Section. (4) The order of the data points should remain as specified in the scanning mode flags (Flag Table 3.4) set in the appropriate Grid Definition Template, even though the JPEG 2000 standard specifies that an image is stored starting at the top left corner.Assuming that the encoding software is expecting the image data in raster order (left to right across rows for each row), users should set the image width to Ni (or Nx) and the height to Nj (or Ny) if bit 3 of the scanning mode flag equals 0 (adjacent points in i (x) order), when encoding the &quot;image.&quot; If bit 3 of the scanning mode flags equals 1 (adjacent points in j (y) order), it may be advantageous to set the image width to Nj (or Ny) and the height to Ni (or Nx). (5) This template should not be used when the data points are not available on a rectangular grid, such as occurs if some data points are bit-mapped out or if section 3 describes a quasi-regular grid. If it is necessary to use this template on such a grid, the data field can be treated as a one dimensional image where the height is set to 1 and the width is set to the total number of data points specified in octets 6-9. (6) Negative values of E or D shall be represented according to Regulation 92.1.5. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-40.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataJpeg2000CodeStreamFormat.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataJpeg2000CodeStreamFormat","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataJpeg2000CodeStreamFormat.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataJpeg2000CodeStreamFormat.get/1","type":"function"},{"doc":"Template 5.41 Grid point data portable network graphicscs (png) format https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-41.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataPortableNetworkGraphics.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataPortableNetworkGraphics","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataPortableNetworkGraphics.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataPortableNetworkGraphics.get/1","type":"function"},{"doc":"Template 5.200 Grid point data run length packing with level values packingng https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-200.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataRunLengthPackingWithLevelValuesPacking.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataRunLengthPackingWithLevelValuesPacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataRunLengthPackingWithLevelValuesPacking.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataRunLengthPackingWithLevelValuesPacking.get/1","type":"function"},{"doc":"Template 5.0 Grid point data simple packingng Note: Negative values of E or D shall be represented according to Regulation 92.1.5. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-0.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePacking.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePacking.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePacking.get/1","type":"function"},{"doc":"Template 5.61 Grid point data simple packing with logarithm pre processingng Notes: (1) The template is approriately designed for data sets with all non-negative values and a wide variability range (more then 5 orders of magnitude). It must not be used for data sets with negative values or smaller variability range. (2) A logarithm pre-processing algorithm is used to fit the variability range into one or two order of magnitudes before using the simple packing algorithm. It requires a parameter (B) to assure that all values passed to the logarithm function are positive.Thus scaled values are Z=ln (Y+B), where Y are the original values, ln is the natural logarithm (or Napierian) function and B is chosen so that Y+B&gt;0. (3) Best pratice follows for choosing the B pre-processing parameter.   (a) If the data set minimum value is positive, B can be safely put to zero.   (b) If the data set minimum is zero, all values must be scaled to become greater than zero and B can be equal to the minimum positive value in the data set . (4) Data shall be packed using Data template 7. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-61.shtml","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePackingWithLogarithmPreProcessing.html","title":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePackingWithLogarithmPreProcessing","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePackingWithLogarithmPreProcessing.html#get/1","title":"ExGrib.Grib2.Section5.Templates.GridPointDataSimplePackingWithLogarithmPreProcessing.get/1","type":"function"},{"doc":"Template 5.1 Matrix values at grid point simple packingng Notes: (1) This form of representation enables a matrix of values to be depicted at each grid point the two dimensions of the matrix may represent coordinates expressed in terms of two elemental parameters (e.g. direction and frequency for wave spectra). The numeric values of these coordinates, beyond that of simple subscripts, can be given in a functional form, or as a collection of explicit numbers. (2) Some simple coordinate functional forms are tabulated in Code table 5.2. Where a more complex coordinate function applies, the coordinate values shall be explicitly denoted by the inclusion of the actual set of values rather than the coefficients. This shall be indicated by a code figure 0 from Code table 5.2 the number of explicit values coded shall be equal to the appropriate dimension of the matrix for which values are presented and they shall follow octet 36 in place of coefficients. (3) Matrix bit maps will be present only if indicated by octet 22. If present, there shall be one bit map for each grid point with data values, as defined by the primary bit map in Section 6, each of length (NRxNC) bits: a bit set to 1 will indicate a data element at the corresponding location within the matrix. Bit maps shall be represented end-to-end, without regard for octet boundaries: the last bit map shall, if necessary, be followed by bits set to zero to fill any partially used octet. (4) Matrices restricted to scanning in the +i direction (left to right) and in the -j direction (top to bottom) https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-1.shtml","ref":"ExGrib.Grib2.Section5.Templates.MatrixValuesAtGridPointSimplePacking.html","title":"ExGrib.Grib2.Section5.Templates.MatrixValuesAtGridPointSimplePacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.MatrixValuesAtGridPointSimplePacking.html#get/1","title":"ExGrib.Grib2.Section5.Templates.MatrixValuesAtGridPointSimplePacking.get/1","type":"function"},{"doc":"Template 5.50 Spectral data simple packingng Notes: (1) Removal of the real part of (0.0) coefficient from packed data is intended to reduce the variability of the coefficients, in order to improve packing accuracy. (2) For some spectral representations, the (0.0) coefficient represents the mean value of the parameter represented. (3) Negative values of E or D shall be represented according to Regulation 92.1.5. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-50.shtml","ref":"ExGrib.Grib2.Section5.Templates.SpectralDataSimplePacking.html","title":"ExGrib.Grib2.Section5.Templates.SpectralDataSimplePacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.SpectralDataSimplePacking.html#get/1","title":"ExGrib.Grib2.Section5.Templates.SpectralDataSimplePacking.get/1","type":"function"},{"doc":"Template 5.51 Spherical harmonics data complex packingng Notes: (1) The unpacked subset is a set of values defined in the same way as the full set of values (on a spectrum limited to Js, Ksnd Ms), but on which scaling and packing are not applied. Associated values are stored in octets 6 onwards of section 7. (2) The remaining coefficients are multiplied by (n x (n+1))p, scaled and packed. The operator associated with this multiplication is derived from the Laplacian operator on the sphere. (3) The retrieval formula for a coefficient of wave number n is then: Y = ( R + X x 2 e ) x 10 - d x ( n x ( n + 1 ) ) - p where X is the packed scaled value associated with the coefficient. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_temp5-51.shtml","ref":"ExGrib.Grib2.Section5.Templates.SphericalHarmonicsDataComplexPacking.html","title":"ExGrib.Grib2.Section5.Templates.SphericalHarmonicsDataComplexPacking","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.Templates.SphericalHarmonicsDataComplexPacking.html#get/1","title":"ExGrib.Grib2.Section5.Templates.SphericalHarmonicsDataComplexPacking.get/1","type":"function"},{"doc":"Table 5.40 Type of compression https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-40.shtml","ref":"ExGrib.Grib2.Section5.TypeOfCompression.html","title":"ExGrib.Grib2.Section5.TypeOfCompression","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.TypeOfCompression.html#get/1","title":"ExGrib.Grib2.Section5.TypeOfCompression.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.TypeOfCompression.html#t:id/0","title":"ExGrib.Grib2.Section5.TypeOfCompression.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.TypeOfCompression.html#t:t/0","title":"ExGrib.Grib2.Section5.TypeOfCompression.t/0","type":"type"},{"doc":"Table 5.1 Type of original field values https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table5-1.shtml","ref":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.html","title":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.html#get/1","title":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.html#t:id/0","title":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.html#t:t/0","title":"ExGrib.Grib2.Section5.TypeOfOriginalFieldValues.t/0","type":"type"},{"doc":"Section 6 Bit map section Notes: If octet 6 is not zero, the length of this section is 6 and octets 7-nn are not present. https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect6.shtml","ref":"ExGrib.Grib2.Section6.html","title":"ExGrib.Grib2.Section6","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section6.html#parse/1","title":"ExGrib.Grib2.Section6.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section6.html#t:bitmap/0","title":"ExGrib.Grib2.Section6.bitmap/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section6.html#t:input/0","title":"ExGrib.Grib2.Section6.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section6.html#t:t/0","title":"ExGrib.Grib2.Section6.t/0","type":"type"},{"doc":"Table 6.0 Bit map indicator https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_table6-0.shtml","ref":"ExGrib.Grib2.Section6.BitMapIndicator.html","title":"ExGrib.Grib2.Section6.BitMapIndicator","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section6.BitMapIndicator.html#get/1","title":"ExGrib.Grib2.Section6.BitMapIndicator.get/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section6.BitMapIndicator.html#t:id/0","title":"ExGrib.Grib2.Section6.BitMapIndicator.id/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section6.BitMapIndicator.html#t:t/0","title":"ExGrib.Grib2.Section6.BitMapIndicator.t/0","type":"type"},{"doc":"Section 7 Data section https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect7.shtml","ref":"ExGrib.Grib2.Section7.html","title":"ExGrib.Grib2.Section7","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section7.html#parse/1","title":"ExGrib.Grib2.Section7.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section7.html#t:input/0","title":"ExGrib.Grib2.Section7.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section7.html#t:t/0","title":"ExGrib.Grib2.Section7.t/0","type":"type"},{"doc":"Section 8 End section https://www.nco.ncep.noaa.gov/pmb/docs/grib2/grib2_doc/grib2_sect8.shtml","ref":"ExGrib.Grib2.Section8.html","title":"ExGrib.Grib2.Section8","type":"module"},{"doc":"","ref":"ExGrib.Grib2.Section8.html#parse/1","title":"ExGrib.Grib2.Section8.parse/1","type":"function"},{"doc":"","ref":"ExGrib.Grib2.Section8.html#t:input/0","title":"ExGrib.Grib2.Section8.input/0","type":"type"},{"doc":"","ref":"ExGrib.Grib2.Section8.html#t:t/0","title":"ExGrib.Grib2.Section8.t/0","type":"type"},{"doc":"ExGrib is an Elixir package for decoding GRIB files.","ref":"readme.html","title":"ExGrib","type":"extras"},{"doc":"Full docs can be found at https://hexdocs.pm/ex_grib . For refernece on the GRIB2 format: https://graphical.weather.gov/docs/grib_design.html","ref":"readme.html#docs","title":"ExGrib - Docs","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding ex_grib to your list of dependencies in mix.exs : def deps do [ { :ex_grib , &quot;~&gt; 0.0.1&quot; } ] end","ref":"readme.html#installation","title":"ExGrib - Installation","type":"extras"}]